<?php

namespace App\Console\Commands;

use App\Mail\LicenceEmail;
use App\Models\Licenses;
use App\Models\Setting;
use Carbon\Carbon;
use Illuminate\Console\Command;

class LicenceNotify extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'licence:renew';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Notify Admin to renew licence';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {

        $licences = Licenses::whereDate('check_date', Carbon::now())->get();

        $setting = Setting::first();
        foreach ($licences as $licence) {
            \Mail::to($setting->email)->send(new LicenceEmail($licence));
        }


    }
}
