<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Repositories\Admin\NationalitiesRepository;
use Illuminate\Http\Request;

class NationalitiesController extends Controller
{
    private $nationalitiesRepository;

    public function __construct(NationalitiesRepository $nationalitiesRepository )
    {
        $this->nationalitiesRepository = $nationalitiesRepository;
        $this->middleware(['permission:nationalities,admin']);
    }

    public function index()
    {
        $rows = $this->nationalitiesRepository->index();
        return view('admin.nationalities.index', compact('rows'));
    }

    public function store(Request $request)
    {


        $this->validate($request, [
            'name_ar' => 'required',
            'name_en' => 'required'
        ]);
        return $this->nationalitiesRepository->store();
    }


    public function update($id, Request $request)
    {
        $this->validate($request, [
            'name_ar' => 'required',
            'name_en' => 'required'
        ]);

        return $this->nationalitiesRepository->update($id);
    }

    public function destroy($id)
    {

        return $this->nationalitiesRepository->destroy($id);
    }
}
