<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Repositories\Admin\SendContactsRepository;
use Illuminate\Http\Request;

class SendContactsController extends Controller
{
    /**
     * @var SendContactsRepository
     */
    private $sendContactsRepository;

    public function __construct(SendContactsRepository $sendContactsRepository)
    {
        $this->sendContactsRepository = $sendContactsRepository;
        $this->middleware(['permission:send_contracts,admin']);
    }

    public function index()
    {
        $rows = $this->sendContactsRepository->index();
        $sms_rows = [];
        $status = [
            'new' => 'جديد',
            'paid' => 'مدفوع',
            'foreign_accept' => 'موافقة المكتب الاجنبى',
//        'not_verified' => 'غير موثق',
            'polo' => 'فى البولو',
            'verified' => 'موثق',
            'in_shipping' => 'فى الشحن - إرسال العقود',
            'in_progress' => 'تحت الاجراء',
            'travel' => 'السفر',
            'delivered' => 'تم التوصيل',
            'cancel' => 'ملغي',
        ];

        return view('admin.orders.sendContracts', compact('rows', 'sms_rows','status'));
    }
}
