<?php

namespace App\Http\Controllers\Clients;

use App\Http\Controllers\Controller;
use App\Repositories\Client\ComplaintsRepository;
use App\Repositories\Client\OrdersRepository;
use Illuminate\Http\Request;

class ComplaintsController extends Controller
{


    private $complaintsRepository;


    private $ordersRepository;

    public function __construct(ComplaintsRepository $complaintsRepository, OrdersRepository $ordersRepository)
    {
        $this->complaintsRepository = $complaintsRepository;
        $this->ordersRepository = $ordersRepository;
    }

    public function index()
    {
        $rows = $this->complaintsRepository->index();
        $orders = $this->ordersRepository->client_orders();
        return view('site.client.complaints', compact('rows', 'orders'));
    }

    public function worker_name_ajax(Request $request)
    {
        $worker_name = $this->ordersRepository->worker_name($request->order_id);
        $worker_name = view('site.client.worker_name', compact('worker_name'))->render();
        return response()->json(['value' => true, 'worker_name' => $worker_name]);
    }

    public function store(Request $request)
    {
        $this->validate($request, [
            'order_id' => 'required',
            'notes' => 'required'
        ], [
            'notes.required' => \Lang::get('data.notesRequired'),
            'order_id.required' => \Lang::get('data.orderIdRequired')
        ]);

        $this->complaintsRepository->store();


        return redirect()->back();
    }
}
