<?php


namespace App\Repositories\Admin;


use App\Models\Cv;
use App\Models\Order;
use App\Models\OrderWorker;
use App\Models\User;
use App\Repositories\Worker\CvsRepository;
use App\Repositories\Worker\SendMessagesRepository;
use Carbon\Carbon;
use Illuminate\Support\Facades\Request;


class OrdersRepository
{

    public function order($id)
    {
        return Order::findOrFail($id);
    }

    public function orders($status)
    {
        return Order::whereStatus($status)->get();
    }

    public function index()
    {
        return Order::all();
    }

    public function show($id)
    {
        return Order::find($id);
    }

    public function getInfo($mobile)
    {
        $client_check = User::whereMobile($mobile)->first();
        if ($client_check) {
            return response()->json(['value' => 'true', 'client_name' => $client_check->name, 'client_email' => $client_check->email]);
        } else {
            return response()->json(['value' => 'false']);
        }
    }

    public function givenNamestore()
    {
        $client = session()->get('client');
        $order_details = session()->get('given_name_details');
        $order = new Order();
        $order->client_name_english = $client->client_name_english;
        $order->client_name = $client->name;
        $order->client_mobile = $client->mobile;
        $order->civil_registry = $client->civil_registry;
        $order->client_birthday = $client->client_birthday;
        $order->city = $client->city;
        $order->type = session()->get('orderType');
        $order->area = $client->area;
        $order->family_count = $client->family_count;
        $order->social_status = $client->social_status;
        $order->another_mobile = $client->another_mobile;
        $order->client_email = $client->email;
        $order->file_number = $client->file_number;

        $order->totalPrice = $order_details['totalPrice'];
        $order->tax = $order_details['tax'];
        $order->profit = $order_details['profit'];
        $order->foreign_money = $order_details['foreign_money'];


        $order->visa_number = $order_details['visa_number'];
//        $order->nationality_id = $order_details['nationality_id'];
        $order->gender = $order_details['gender'];
        $order->job_title_id = $order_details['job_title_id'];

//        $order->passport_image = $order_details['passport_image'];
        $order->family_card = $order_details['family_card'];
        $order->follow_type = request()->follow_type;
        $order->setAnyAttribute('client_sign');

        $order->office_id = $order_details['office_id'];
        $order->status = 'new';
        $order->client_id = $client->id;
        $order->another_mobile = $client->another_mobile;
        $order->completed = 'true';


        $order->save();
        $order->code = rand(111, 999) . $order->id;
        $order->update();

        $order_worker = new OrderWorker();
        $order_worker->name = $order_details['name'];
        $order_worker->mobile = $order_details['mobile'];
        $order_worker->reference_number = $order_details['reference_number'];
        $order_worker->another_mobile = $order_details['another_mobile'];
        $order_worker->name_family_member = $order_details['name_family_member'];
        $order_worker->mobile_family_member = $order_details['mobile_family_member'];
        $order_worker->address_family_member = $order_details['address_family_member'];
        $order_worker->city_id = $order_details['city_id'];
        $order_worker->address = $order_details['address'];
        $order_worker->passport_number = $order_details['passport_number'];
        $order_worker->passport_start = $order_details['passport_start'];
        $order_worker->passport_end = $order_details['passport_end'];
        $order_worker->passport_attachment = $order_details['passport_image'];
        $order_worker->gender = $order_details['gender'];
        $order_worker->job_title_id = $order_details['job_title_id'];
        $order_worker->order_id = $order->id;
        $order_worker->save();

        // SEND EMAIL

        $client_notification = new SendMessagesRepository();


        if ($client->first_login == 'true') {
            $new_password = $order->civil_registry;
            User::whereId($client->id)->update([
                'password' => bcrypt($new_password)
            ]);
        }

        $client_notification->sendPasswordSmsEmail($client->email, $order, $client->mobile, request()->follow_type, $client->first_login);
        session()->forget(['client', 'given_name_details', 'client_mobile']);
        return redirect()->route('admin_last_given_name_order', $order->id);

    }


    public function store()
    {
        $client = session()->get('client');
        $order_details = session()->get('order_details');
        $order = new Order();
        $order->client_name_english = $client->client_name_english;
        $order->client_birthday = $client->client_birthday;
        $order->date_selection = $order_details['date_selection'];
        $order->visa_issue_date = $order_details['visa_issue_date'];
        $order->file_number = $client->file_number;
        $order->client_name = $client->name;
        $order->client_mobile = $client->mobile;
        $order->civil_registry = $client->civil_registry;
        $order->city = $client->city;
        $order->type = 'as_requested';
        $order->area = $client->area;
        $order->family_count = $client->family_count;
        $order->social_status = $client->social_status;
        $order->another_mobile = $client->another_mobile;
        $order->client_email = $client->email;
        $order->visa_number = $order_details['visa_number'];
        $order->nationality_id = $order_details['nationality_id'];
        $order->gender = $order_details['gender'];
        $order->job_title_id = $order_details['job_title_id'];
        //tax
        $order->tax = $order_details['tax'];


        //paid_client
        $order->totalPrice = $order_details['totalPrice'];

        $cv = Cv::find($order_details['cv_id']);

        if ($cv->office->wallet > $order_details['foreign_money']) {
            $foreign_money_wallet = $cv->office->wallet - $order_details['foreign_money'];
            $order->foreign_money = '0';
            $office = User::find($order->office_id);
            $office->wallet = $foreign_money_wallet;
            $office->update();
            $order->profit = $order_details['profit'] + $order_details['foreign_money'];
            $order->foreign_money_wallet = $order_details['foreign_money'];
        } else {
            $foreign_money_wallet = $order_details['foreign_money'] - $cv->office->wallet;
            $order->foreign_money = $foreign_money_wallet;
            $order->profit = $order_details['profit'] + $cv->office->wallet;
            $office = User::find($cv->office_id);
            $office->wallet = '0';
            $office->update();
        }


        $order->cv_id = $order_details['cv_id'];
//        $order->passport_image = $order_details['passport_image'];
        $order->family_card = $order_details['family_card'];
//        $client->family_card = $order_details['family_card'];
        $order->follow_type = request()->follow_type;
        $order->setAnyAttribute('client_sign');
        $cv = new CvsRepository();
        $cv = $cv->show($order_details['cv_id']);
        $order->office_id = $cv->office_id;
        $order->status = 'new';
        $order->client_id = $client->id;
        $order->another_mobile = $client->another_mobile;
        $order->completed = 'true';


        $order->save();
        $order->code = rand(111, 999) . $order->id;
        $order->update();
        // SEND EMAIL

        $client_notification = new SendMessagesRepository();
        if ($client->first_login == 'true') {
            $new_password = $order->civil_registry;
            User::whereId($client->id)->update([
                'password' => bcrypt($new_password)
            ]);
        }

        $client_notification->sendPasswordSmsEmail($client->email, $order, $client->mobile, request()->follow_type, $client->first_login);

        session()->forget(['client', 'order_details', 'client_mobile']);
        return redirect()->route('admin_last_requested_order', $order->id);

    }

    public function searchOrder($request)
    {

        $status = [
            'new' => 'جديد',
            'paid' => 'مدفوع',
            'foreign_accept' => 'موافقة المكتب الاجنبى',
//        'not_verified' => 'غير موثق',
            'polo' => 'فى البولو',
            'verified' => 'موثق',
            'in_shipping' => 'فى الشحن - إرسال العقود',
            'in_progress' => 'تحت الاجراء',
            'travel' => 'السفر',
            'delivered' => 'تم التوصيل',
            'cancel' => 'ملغي',
        ];

        if ($request['order_status'] == 'all') {
            $rows = Order::where('code', 'LIKE', "%" . $request['order_code'] . "%")->paginate(10);

        } elseif ($request['order_status'] == 'warranty') {
            $rows = Order::where('code', 'LIKE', "%" . $request['order_code'] . "%")->where('status', 'delivered')->whereHas('travel', function ($q) {
                $q->whereDate('warranty', '>=', Carbon::now()->toDateString());
            })->latest()->paginate(10);
        } elseif ($request->order_status_tow != null) {

            $rows = Order::where('code', 'LIKE', "%" . $request['order_code'] . "%")->whereIn('status', [$request['order_status'], $request['order_status_tow']])->paginate(10);

        } else {
            $rows = Order::where('code', 'LIKE', "%" . $request['order_code'] . "%")->whereStatus($request['order_status'])->paginate(10);

        }

        $sms_rows = [];
        $searchResults = view('admin.orders.searchResults', compact('rows', 'sms_rows', 'status'))->render();

        return response()->json(['value' => true, 'searchResults' => $searchResults]);
    }

    public function givenNameUpdate($request, $id)
    {

        $order = Order::findOrFail($id);

        $worker = $order->order_worker;
        $worker->name = $request->name;
        $worker->reference_number = $request->reference_number;
        $worker->gender = $request->gender;
        $worker->mobile = $request->mobile;
        $worker->another_mobile = $request->another_mobile;
        $worker->name_family_member = $request->name_family_member;
        $worker->mobile_family_member = $request->mobile_family_member;
        $worker->address_family_member = $request->address_family_member;
        $worker->city_id = $request->city_id;
        $worker->job_title_id = $request->job_title_id;
        $worker->address = $request->address;
        $worker->passport_start = $request->passport_start;
        $worker->passport_end = $request->passport_end;
        $worker->passport_number = $request->passport_number;
        if ($request->hasFile('passport_attachment')) {
            $filename = time() . '.' . $request->passport_attachment->getClientOriginalExtension();
            $request->passport_attachment->move(public_path('images/orders'), $filename);
            $worker->passport_attachment = $filename;
        }
        $worker->update();

        $order->visa_number = $request->visa_number;
        $order->office_id = $request->office_id;
        if ($request->hasFile('family_card')) {
            $filename = time() . '.' . $request->family_card->getClientOriginalExtension();
            $request->family_card->move(public_path('images/orders'), $filename);
            $order->family_card = $filename;
        }
        if ($request->hasFile('client_sign')) {
            $order->setAnyAttribute('client_sign');
        }
        $order->follow_type = $request->follow_type;
        $order->update();

    }


    public function asRequestedUpdate($request, $id)
    {

        $order = Order::findOrFail($id);

        $order->visa_number = $request->visa_number;
        $order->visa_issue_date = $request->visa_issue_date;
        $order->date_selection = $request->date_selection;
        $order->nationality_id = $request->nationality_id;
        $order->gender = $request->gender;
        $order->job_title_id = $request->job_title_id;
        $order->follow_type = $request->follow_type;
        $order->cv_id = $request->cv_id;
        if ($request->hasFile('family_card')) {
            $filename = time() . '.' . $request->family_card->getClientOriginalExtension();
            $request->family_card->move(public_path('images/orders'), $filename);
            $order->family_card = $filename;
        }
        if ($request->hasFile('client_sign')) {
            $order->setAnyAttribute('client_sign');
        }
        $cv = new CvsRepository();
        $cv = $cv->show($request['cv_id']);
        $order->office_id = $cv->office_id;

        $order->update();
    }

}
