<?php


namespace App\Repositories\Foreign;


use App\Models\Complaint;
use App\Models\ComplaintReply;
use App\Models\Order;
use Illuminate\Database\Eloquent\Model;

class ComplaintsRepository
{
    public function index()
    {
        return Complaint::whereHas('order', function ($order) {
            $order->where('office_id', \Auth::id());
        })->orderByDesc('id')->paginate(10);
    }

    public function store()
    {
        $complaint = new Complaint();
        $complaint->order_id = request()->order_id;
        $complaint->user_id = Order::whereId(request()->order_id)->value('client_id');
        $complaint->status = 'new';
        $complaint->notes = request()->notes;
        $complaint->save();
        $complaint->code = rand(111, 999) . $complaint->id;
        $complaint->save();
    }

    public function store_array()
    {
        foreach (request()->ids as $order_id) {
            $complaint = new Complaint();
            $complaint->order_id = $order_id;
            $complaint->user_id = Order::whereId($order_id)->value('client_id');
            $complaint->status = 'new';
            $complaint->notes = request()->complaint;
            $complaint->save();
            $complaint->code = rand(111, 999) . $complaint->id;
            $complaint->update();
        }
        success_toast();
        return redirect()->back();
    }

    public function update($id)
    {
        Complaint::whereId($id)->update([
            'status' => request()->status
        ]);
    }

    public function replyComplaint($complaint_id)
    {
        ComplaintReply::create([
            'worker_id' => auth()->check() ? auth()->id() : null,
            'complaint_id' => $complaint_id,
            'reply' => request()->reply
        ]);
    }

    public function complaintCode($code)
    {
        return Complaint::whereHas('order', function ($order) {
            $order->where('office_id', \Auth::id());
        })->whereCode($code)->orderByDesc('id')->paginate(10);
    }

    public function home_complaints()
    {
        return Complaint::whereHas('order', function ($order) {
            $order->where('office_id', \Auth::id());
        })->orderByDesc('id')->get()->take(3);

    }
}
