<?php


namespace App\Repositories\Worker;


use App\Models\Order;
use App\Models\OrderWorker;
use App\Models\User;
use Illuminate\Database\Eloquent\Model;

class GivenNameOrderRepository
{
    public function store()
    {
        $client = session()->get('client');
        $order_details = session()->get('given_name_details');
        $order = new Order();
        $order->client_name = $client->name;
        $order->client_mobile = $client->mobile;
        $order->civil_registry = $client->civil_registry;
        $order->city = $client->city;
        $order->type = session()->get('type');
        $order->area = $client->area;
        $order->family_count = $client->family_count;
        $order->social_status = $client->social_status;
        $order->another_mobile = $client->another_mobile;
        $order->client_email = $client->email;
        $order->client_residency_number = $client->client_residency_number;


        $order->visa_number = $order_details['visa_number'];
//        $order->nationality_id = $order_details['nationality_id'];
        $order->gender = $order_details['gender'];
        $order->job_title_id = $order_details['job_title_id'];

//        $order->passport_image = $order_details['passport_image'];
        $order->family_card = $order_details['family_card'];
        $client->family_card = $order_details['family_card'];
        $order->follow_type = request()->follow_type;
        $order->setAnyAttribute('client_sign');

        $order->office_id = $order_details['office_id'];
        $order->status = 'new';
        $order->client_id = $client->id;
        $order->another_mobile = $client->another_mobile;
        $order->completed = 'true';


        $order->save();
        $order->code = rand(111, 999) . $order->id;
        $order->update();

        $order_worker = new OrderWorker();
        $order_worker->name = $order_details['name'];
        $order_worker->id_number = $order_details['id_number'];
        $order_worker->mobile = $order_details['mobile'];
        $order_worker->email = $order_details['email'];
        $order_worker->social_status = $order_details['social_status'];
        $order_worker->civil_registry = $order_details['civil_registry'];
        $order_worker->address = $order_details['address'];
        $order_worker->passport_number = $order_details['passport_number'];
        $order_worker->passport_start = $order_details['passport_start'];
        $order_worker->passport_end = $order_details['passport_end'];
        $order_worker->passport_attachment = $order_details['passport_image'];
        $order_worker->gender = $order_details['gender'];
        $order_worker->order_id = $order->id;
        $order_worker->save();

        // SEND EMAIL

        $client_notification = new SendMessagesRepository();


        if ($client->first_login == 'true') {
            $new_password = rand('1111', '9999');
            User::whereId($client->id)->update([
                'password' => bcrypt($new_password)
            ]);
            $client_notification->sendPasswordSmsEmail($client->email, $new_password, $client->mobile, request()->follow_type);
        }
        session()->forget(['client', 'given_name_details', 'client_mobile']);
        return redirect()->route('last_given_name_order', $order->id);

    }
}
