<?php


namespace App\Repositories\Worker;


use App\Mail\OrderMail;
use App\Mail\OrderUpdates;
use App\Mail\PasswordEmail;
use App\Models\Messages;
use App\Models\Order;
use App\Models\OrderMessages;
use App\Models\Setting;
use App\Models\User;
use Illuminate\Support\Facades\Mail;

class SendMessagesRepository
{


    public function send_sms_order()
    {

        $order_ids = request()->ids;
        $message = request()->message;

        foreach ($order_ids as $order_id) {

            $order = Order::find($order_id);

            Messages::create([
                'message' => $message,
                'order_id' => $order_id,
                'user_id' => $order->client->id,
                'code' => rand(1111, 9999)]);

            if ($order->follow_type == 'sms' || $order->follow_type == 'both') {
                $client_mobile = $order->client->mobile;
                //ارسال رسالة على الجوال

            }

            if ($order->follow_type == 'email' || $order->follow_type == 'both') {
                $client_email = $order->client->email;
                //ارسال رسالة على البريد الالكترونى
                \Mail::to($client_email)->send(new OrderMail($message));
            }
        }

        alert(\Lang::get('data.doneSuccessfully'), \Lang::get('data.messageSentSuccessfully'), 'success');
        return redirect()->back();
    }


    public function send_sms_order_admin()
    {

        $order_ids = request()->ids;


        foreach ($order_ids as $order_id) {


            $setting = Setting::first();
            $order = Order::find($order_id);
            Mail::to([$order->client->email, $setting ? $setting->email : ''])->send(new OrderUpdates($order));

            $message_admin = OrderMessages::where(['status' => 'active', 'country_id' => $order->office->country_id, 'type' => $order->status])->first();

            if ($message_admin) {
//                Messages::create([
//                    'message' => $message_admin->message,
//                    'order_message_id' => $message_admin->id,
//                    'order_id' => $order_id,
//                    'user_id' => $order->client->id,
//                    'code' => rand(1111, 9999)
//                ]);

//                $client_mobile = $order->client->mobile;


                Messages::create([
                    'message' => $message_admin->message,
                    'order_message_id' => $message_admin->id,
                    'order_id' => $order_id,
                    'user_id' => $order->office->id,
                    'code' => rand(1111, 9999)
                ]);

                $office_email = $order->office->email;
                // ارسال رسالة على البريد الالكترونى
                \Mail::to($office_email)->send(new OrderMail($message_admin->message));

            }
        }

    }


    public function sendPasswordSmsEmail($user_email, $order, $user_mobile, $type, $first_login)
    {


        if ($type == 'sms' || $type == 'both') {
            $client_mobile = $user_mobile;
            // TODO ارسال رسالة على الجوال

        }

        if ($type == 'email' || $type == 'both') {
            $client_email = $user_email;
            //ارسال رسالة على البريد الالكترونى
            Mail::to($user_email)->send(new PasswordEmail($order, $first_login));
        }


    }

    public function allMessages()
    {
        return Messages::orderByDesc('id')->paginate(10);
    }


}
