@include('admin.controllers.header')
@include('admin.controllers.upper-header')

<!-- start sidebar -->
@include('admin.controllers.sidebar')
<!-- end sidebar -->

<!-- start admin title -->
<div class="admin-title">
    <div class="container">
        <div class="title-search">
            <div class="admin-title-h">
                <img src="{{asset('admin/images/titles/of.svg')}}" alt="">
                <h4>المكاتب الأجنبية</h4>
            </div>
            <div class="ad-search">
                <div class="ad-item-search">
                    <form method="post" action="{{route('foreign_search')}}">
                        @csrf
                        <input name="search" required type="text" placeholder="ابحث برقم الجوال او الاسم ">
                        <button type="submit">
                            <img src="{{asset('admin/images/s-search.svg')}}" alt="">
                        </button>
                    </form>
                </div>
            </div>

        </div>
    </div>
</div>
</div>
<!-- start admin title -->
<!-- start body content -->
<div class="container mb-60 mt-30">
    <div class="tabs-container">
        <div class="item-nav-tabs">
            <p class="sub-header" style="margin-bottom: 30px">
                <a href="{{route('foreign.create')}}">
                    <button class="btn btn-success">
                        إنشاء جديد
                    </button>
                </a>
            </p>

        </div>

    </div>


    <div class="taps-contant" id="tap1">

        <div class="table-responsive">
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th scope="col">الاسم</th>
                    <th scope="col">رقم الجوال</th>
                    <th scope="col">البريد الالكترونى</th>
                    <th scope="col">مكتب ثقه</th>
                    <th scope="col"> سعر طلب حسب المواصفات</th>
                    <th scope="col"> سعر طلب إسم معين</th>
                    <th scope="col"> سعر طلب خدمة معروفة</th>
                    <th scope="col">الدين</th>
                    <th scope="col">الحالة</th>

                    <th scope="col">
                        التحكم
                    </th>


                </tr>
                </thead>
                <tbody>

                @foreach($rows as $row)
                    <tr>


                        <td>{{$row->name}}</td>
                        <td>{{$row->mobile}}</td>
                        <td>{{$row->email}}</td>
                        <td>{{$row->trusted_office == 'true' ? 'ثقه' : 'غير ثقه'}}</td>
                        <td>{{$row->as_requested_price}}</td>
                        <td>{{$row->given_name_price}}</td>
                        <td>{{$row->given_service_price}}</td>
                        <td>{{$row->wallet ? $row->wallet : 0}}</td>
                        <td>{{$row->status == 'active' ? 'مفعل' : 'غير مفعل'}}</td>


                        <td>
                            <button type="button" class="btn btn-danger waves-effect waves-light"
                                    data-toggle="modal" data-target="#myModal{{$row->id}}">حذف
                            </button>

                            <div id="myModal{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                                 aria-labelledby="myModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title"
                                                id="myModalLabel">حذف العنصر</h5>
                                            <button type="button" class="close" data-dismiss="modal"
                                                    aria-hidden="true">×
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                            <h5 class="font-16">هل تريد الحذف ؟</h5>

                                        </div>
                                        <div class="modal-footer">

                                            <form method="post" enctype="multipart/form-data"
                                                  action="{{route('foreign.destroy',$row->id)}}">
                                                @csrf
                                                @method('DELETE')
                                                <button type="button" class="btn btn-light waves-effect"
                                                        data-dismiss="modal">إلغاء
                                                </button>
                                                <button type="submit"
                                                        class="btn btn-danger waves-effect waves-light">حذف
                                                </button>
                                            </form>


                                        </div>
                                    </div><!-- /.modal-content -->
                                </div><!-- /.modal-dialog -->
                            </div><!-- /.modal -->
                            <a style="display:inline-block;" href="{{route('foreign.edit',$row->id)}}">
                                <button type="button"
                                        class="btn btn-info waves-effect waves-light">تعديل
                                </button>
                            </a>
                        </td>

                    </tr>
                @endforeach
                </tbody>
            </table>

            <div style="margin-top: 30px" class="text-center">
                {{$rows->links()}}
            </div>
        </div>
    </div>


</div>


<!-- start body content -->

@include('admin.controllers.footer')



