@include('admin.controllers.header')
@include('admin.controllers.upper-header')
@include('admin.controllers.sidebar')
<!-- end sidebar -->
<!-- start admin title -->
<div class="admin-title">
    <div class="container">
        <div class="title-search">
            <div class="admin-title-h">
                <img src="{{asset('admin/images/titles/tranfer.svg')}}" alt="">
                <h4>نقل الكفالة</h4>
            </div>


        </div>
    </div>
</div>
<!-- start admin title -->
<!-- start body content -->
<div class="container mb-60 mt-30">

    <section style="direction: ltr;margin-bottom: 5px">


        <button type="button" class="btn btn-info" data-toggle="modal"
                data-target="#exampleModal1">نقل كفالة
        </button>


    </section>

    <div class="table-responsive">
        <table class="table table-bordered">
            <thead>
            <tr>
                <th scope="col">رقم العقد</th>
                <th scope="col">اسم العميل</th>
                <th scope="col">رقم الجوال</th>
                <th scope="col">العاملة</th>
                <th scope="col">عدد الأيام</th>
                <th scope="col">حالتة</th>
                <th scope="col">اسم العميل الجديد</th>
                <th scope="col">تاريخ نقل الكفالة</th>


            </tr>
            </thead>
            <tbody>
            @foreach($rows as $row)
                <tr>
                    <td scope="row">
                        <span class="id-c">{{$row->order->code}}</span>
                    </td>


                    <td>{{$row->oldClient->name}}</td>

                    <td>{{$row->oldClient->mobile}}</td>

                    <td>{{$row->order->cv_id ? $row->order->cv->name : $row->order->order_worker->name}}</td>


                    <td>{{\Carbon\Carbon::parse($row->order->created_at)->diffInDays(\Carbon\Carbon::now())}}</td>

                    <td>{{order_status($row->order->status)}}</td>
                    <td>{{$row->newClient->name}}</td>

                    <td>{{\Carbon\Carbon::parse($row->created_at)->toDateString()}}</td>


                </tr>

            @endforeach


            </tbody>
        </table>



        <div style="margin-top: 30px" class="text-center">
            {{$rows->links()}}
        </div>


    </div>
</div>
<!-- Modal -->
<div class="modal fade" id="exampleModal1" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
     aria-hidden="true">
    <div class="modal-dialog mos" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">نقل الكفالة الى</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form method="post" action="{{route('kfala.store')}}" enctype="multipart/form-data">
                @csrf
                <div class="modal-body">


                    <div class="row">
                        <div class="col-sm-6">
                            <div class="input-group">
                                <h6><strong>رقم الطلب</strong></h6>
                                <select name="order_id" required class="form-control">
                                    <option disabled selected>@lang('data.selectOrderNo')</option>
                                    @foreach($orders as $order)
                                        <option value="{{$order->id}}">{{$order->code}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>


                        <div class="col-sm-6">
                            <div class="input-group">
                                <h6><strong>رقم جوال العميل الجديد</strong></h6>
                                <input type="text" name="client_mobile" required id="newMobile" class="form-control"
                                       placeholder="برجاء رقم الجوال">
                            </div>
                        </div>


                        <div class="col-sm-6">
                            <div class="input-group">
                                <h6><strong>إسم العميل الجديد</strong></h6>
                                <input type="text" name="client_name" id="client_name" class="form-control"
                                       placeholder="إدخال إسم العميل">
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="input-group">
                                <h6><strong>البريد الإلكترونى</strong></h6>
                                <input type="email" name="client_email" id="client_email" class="form-control"
                                       placeholder="برجاء ادخال البريد الألكترونى">
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="drob-upload mt-10 uplod-pop">
                                <label for="">مرفق كارت العائلة</label>
                                <div class="drop-area">
                                    <div class="drop-area-body">
                                        <img src="{{asset('admin/images/uplo-t.svg')}}" alt="">
                                        <h6>قم بسحب او إسقاط الملف هنا للتحميل</h6>
                                        <input required name="family_card" type="file">
                                    </div>
                                </div>

                            </div>
                        </div>


                    </div>


                    <div class="button-sub">
                        <button type="submit" class="btn-req">حفظ</button>

                    </div>

                </div>

            </form>


        </div>
    </div>
</div>
<!-- Modal -->
@section('script')

    <script>
        $("#newMobile").keyup(function () {

            $.ajax({
                type: 'GET',
                url: '{{route('getNewClientInfo')}}',
                data: {client_mobile: $("#newMobile").val()},

                success: function (data) {
                    if (data.value == 'true') {
                        $("#client_email").val(data.client_email);
                        $("#client_name").val(data.client_name);
                    }
                },
                error: function (jqXHR, textStatus, errorThrown) {
                    errorFunction();
                }
            });


        });


    </script>
@stop

@include('admin.controllers.footer')


