@include('admin.controllers.header')
@include('admin.controllers.upper-header')

<!-- start sidebar -->
@include('admin.controllers.sidebar')
<!-- end sidebar -->

<!-- start admin title -->
<div class="admin-title">
    <div class="container">
        <div class="admin-title-h">
            <img src="{{asset('admin/images/titles/home.svg')}}" alt="">
            <h4>تفاصيل الطلب</h4>
        </div>
    </div>
</div>
</div>
<!-- start admin title -->
<!-- start body content -->


<div class="container">

    <p class="order-no">طلب رقم : {{$row->id}}</p>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>

    <div class="modal-body">
        <!-- detailes -->
        <h4 class="d-flex space-btw item-space">
            <strong>بيانات العميل</strong>
            <small>حالة الطلب : {{order_status($row->status)}}</small></h4>

        <div class="bordered">
            <div class="row">
                <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                    <article class="blue-complain">
                        <h5><strong>رقم ملف العميل</strong></h5>
                        <p><small>{{$row->client->file_number}}</small></p>
                    </article>
                </div>
                <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                    <article class="blue-complain">
                        <h5><strong> اسم العميل بالعربية</strong></h5>
                        <p><small>{{$row->client->name}}</small></p>
                    </article>
                </div>
                <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                    <article class="blue-complain">
                        <h5><strong> اسم العميل بالانجليزية</strong></h5>
                        <p><small>{{$row->client->client_name_english}}</small></p>
                    </article>
                </div>
                <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                    <article class="green-complain">
                        <h5><strong>رقم السجل المدنى</strong></h5>
                        <p><small>{{$row->civil_registry}}</small></p>
                    </article>
                </div>
                <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                    <article class="green-complain">
                        <h5><strong>رقم الجوال</strong></h5>
                        <p><small>{{$row->client_mobile}}</small></p>
                    </article>
                </div>
                @if($row->another_mobile)
                    <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                        <article class="green-complain">
                            <h5><strong>رقم جوال أخر </strong></h5>
                            <p><small>{{$row->another_mobile}}</small></p>
                        </article>
                    </div>
                @endif
                <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                    <article class="blue-complain">
                        <h5><strong>البريد الالكترونى</strong></h5>
                        <p><small>{{$row->client_email}}</small></p>
                    </article>
                </div>
                <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                    <article class="green-complain">
                        <h5><strong>عدد افراد الاسرة</strong></h5>
                        <p><small>{{$row->family_count}}</small></p>
                    </article>
                </div>
                <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                    <article class="blue-complain">
                        <h5><strong>العنوان</strong></h5>
                        <p><small>{{$row->client->my_city->title['ar']}}</small></p>
                    </article>
                </div>
                <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                    <article class="blue-complain">
                        <h5><strong>الحالة الاجتماعية</strong></h5>
                        <p><small>{{$row->client->social_status}}</small></p>
                    </article>
                </div>
                <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                    <article class="blue-complain">
                        <h5><strong>تاريخ الميلاد</strong></h5>
                        <p><small>{{$row->client->client_birthday}}</small></p>
                    </article>
                </div>

            </div>
        </div>  <!-- detailes -->
        <h4 class="d-flex space-btw item-space">
            <strong>المعلومات المالية</strong>
        </h4>

        <div class="bordered">
            <div class="row">
                <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                    <article class="blue-complain">
                        <h5><strong>المبلغ المبيع للعميل</strong></h5>
                        <p><small>{{$row->totalPrice}}</small></p>
                    </article>
                </div>
                <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                    <article class="blue-complain">
                        <h5><strong>الضرائب</strong></h5>
                        <p><small>{{$row->tax}}</small></p>
                    </article>
                </div>
                <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                    <article class="blue-complain">
                        <h5><strong>المبلغ المستحق للمكتب الأجنبي</strong></h5>
                        <p><small>{{$row->foreign_money}}</small></p>
                    </article>
                </div>

                <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                    <article class="blue-complain">
                        <h5><strong>المبلغ المخصوم من دين المكتب الأجنبي (ان وجد)</strong></h5>
                        <p><small>{{$row->foreign_money_wallet ? $row->foreign_money_wallet : 0}}</small></p>
                    </article>
                </div>


                <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                    <article class="blue-complain">
                        <h5><strong>صافي الربح</strong></h5>
                        <p><small>{{$row->profit}}</small></p>
                    </article>
                </div>


            </div>
        </div>
        <!-- detailes -->
        <div class="i-icon-title">
            <h4 class="mt-20"><strong>بيانات العامل / العاملة</strong></h4>
        </div>

        @if($row->cv)
            <div class="bordered mt-20">
                <div class="row">

                    <div class="col-sm-12 col-md-6 col-lg-4">
                        <div class="card-info">
                            <div class="card-info-body">
                                <div class="cib-img">
                                    <img src="{{$row->cv->image}}" alt="">
                                </div>
                                <div class="cib-text">
                                    <h5>{{$row->cv->name}}</h5>

                                    <span>@lang('data.job') :{{$row->cv->job_title->name[App::getLocale()]}}</span>
                                    <span>@lang('data.age') : {{$row->cv->age}}</span>
                                    <span>@lang('data.nationality') : {{$row->cv->nationality->name[App::getLocale()]}}</span>
                                </div>
                            </div>
                            <div class="card-info-footer">
                                <div class="car-button foo-in">

                                    <a class="cho" href="{{route('admin_resumes.show',$row->cv->id)}}">
                                        @lang('data.details')</a>


                                </div>
                            </div>
                        </div>
                    </div>


                </div>
            </div>
        @else
            <div class="bordered mt-20">
                <div class="row">
                    <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                        <article class="blue-complain">
                            <h5><strong>@lang('data.worker_name')</strong></h5>
                            <p><small>{{ $row->order_worker ? $row->order_worker->name  : "Worker Deleted "}}</small>
                            </p>
                        </article>
                    </div>

                    <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                        <article class="green-complain">
                            <h5><strong>@lang('data.mobile')</strong></h5>
                            <p><small>{{$row->order_worker  ? $row->order_worker->mobile : "worker deleted"}}</small>
                            </p>
                        </article>
                    </div>

                    <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                        <article class="green-complain">
                            <h5><strong>رقم جوال اخر</strong></h5>
                            <p>
                                <small>{{$row->order_worker ? $row->order_worker->another_mobile : 'worker deleted'}}</small>
                            </p>
                        </article>
                    </div>

                    <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                        <article class="green-complain">
                            <h5><strong>العنوان</strong></h5>
                            <p><small>{{$row->order_worker ? $row->order_worker->address : 'worker deleted'}}</small>
                            </p>
                        </article>
                    </div>

                    <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                        <article class="green-complain">
                            <h5><strong>رقم جواز السفر</strong></h5>
                            <p>
                                <small>{{$row->order_worker ? $row->order_worker->passport_number : 'worker deleted'}}</small>
                            </p>
                        </article>
                    </div>

                    <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                        <article class="green-complain">
                            <h5><strong>تاريخ اصدار جواز السفر</strong></h5>
                            <p>
                                <small>{{$row->order_worker ? $row->order_worker->passport_start : 'worker deleted'}}</small>
                            </p>
                        </article>
                    </div>

                    <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                        <article class="green-complain">
                            <h5><strong>تاريخ انتهاء جواز السفر</strong></h5>
                            <p>
                                <small>{{$row->order_worker ? $row->order_worker->passport_end : 'worker deleted'}}</small>
                            </p>
                        </article>
                    </div>

                    <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                        <article class="green-complain">
                            <h5><strong>النوع</strong></h5>
                            <p><small>
                                    @if($row->order_worker)
                                        {{$row->order_worker->gender == 'male' ? 'رجل' : 'انثي'}}
                                    @else
                                        worker deleted
                                    @endif

                                </small></p>
                        </article>
                    </div>

                    <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                        <article class="green-complain">
                            <h5><strong>اسم القريب</strong></h5>
                            <p>
                                <small>{{$row->order_worker ? $row->order_worker->name_family_member : 'worker deleted'}}</small>
                            </p>
                        </article>
                    </div>

                    <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                        <article class="green-complain">
                            <h5><strong>رقم جوال القريب</strong></h5>
                            <p>
                                <small>{{$row->order_worker ? $row->order_worker->mobile_family_member : 'worker deleted'}}</small>
                            </p>
                        </article>
                    </div>

                    <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                        <article class="green-complain">
                            <h5><strong>عنوان القريب</strong></h5>
                            <p>
                                <small>{{$row->order_worker ? $row->order_worker->address_family_member : 'worker deleted'}}</small>
                            </p>
                        </article>
                    </div>

                    <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                        <article class="green-complain">
                            <h5><strong>المدينة</strong></h5>
                            <p>
                                <small>{{$row->order_worker ? $row->order_worker->city->title['ar'] : 'worker deleted'}}</small>
                            </p>
                        </article>
                    </div>

                    <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                        <article class="green-complain">
                            <h5><strong>المهنة</strong></h5>
                            <p>
                                <small>{{$row->order_worker ? $row->order_worker->job_title->name['ar'] : 'worker deleted'}}</small>
                            </p>
                        </article>
                    </div>

                    {{--                    <div class="col-md-4 col-sm-6 col-xs-6 mb-20">--}}
                    {{--                        <article class="green-complain">--}}
                    {{--                            <h5><strong>الصوره</strong></h5>--}}
                    {{--                            <img--}}
                    {{--                                src="{{$row->order_worker ? $row->order_worker->getAnyAttribute('image') : 'worker deleted'}}"--}}
                    {{--                                width="300px">--}}
                    {{--                        </article>--}}
                    {{--                    </div>--}}

                    <div class="col-md-4 col-sm-6 col-xs-6 mb-20">
                        <article class="green-complain">
                            <h5><strong>صورة الجواز</strong></h5>
                            <img
                                src="{{$row->order_worker ? $row->order_worker->getAnyAttribute('passport_attachment') :'worker deleted'}}"
                                width="300px">
                        </article>
                    </div>


                </div>
            </div>

    @endif
    <!-- detailes -->

        <div class="i-icon-title">
            <h4 class="mt-20"><strong>الاجراءات الفرعية</strong></h4>


        </div>
        <table class="table table-bordered">
            <thead>
            <tr>
                <th scope="col">@lang('data.processes')</th>
                <th scope="col">@lang('data.startDate')</th>
                <th scope="col">@lang('data.endDate')</th>
                <th scope="col">@lang('data.status')</th>
                <th class="to-print" scope="col"></th>
            </tr>
            </thead>
            <tbody>
            @foreach($row->processes()->latest()->get() as $process)
                <tr>
                    <td scope="row">{{$process->process}}</td>
                    <td>{{$process->start_date}}</td>
                    <td>{{$process->end_date}}</td>
                    <td>{{App::getLocale() == 'ar' ? process_order_status($process->status) : $process->status}}</td>
                    <td class="to-print">
                        <button type="submit" class="btn btn-primary mt-20 mb-20 radius-20" data-toggle="modal"
                                data-target="#exampleModal{{$process->id}}">@lang('data.showAttachment')
                        </button>
                    </td>
                </tr>

                <!-- Modal -->
                <div class="modal fade modal-card" id="exampleModal{{$process->id}}" tabindex="-1" role="dialog"
                     aria-labelledby="exampleModalLabel"
                     aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                                <h4></h4>
                            </div>
                            <div class="modal-body">

                                <img class="wd-100" src="{{$process->image}}" alt="">
                            </div>
                        </div>
                    </div>
                </div>
                <!-- end modal -->
            @endforeach

            </tbody>
        </table>


        <div class="mt-30">

            <div class="title-head">
                <h3>الصور</h3>
            </div>

            <div class="row">
                {{--                <div class="col-sm-6 col-md-4 col-lg-4">--}}
                {{--                    <div class="passport">--}}
                {{--                        <h4 style="    margin-bottom: 15px;">صورة جواز سفر مقدم الطلب</h4>--}}

                {{--                        <div class="passport-img">--}}

                {{--                            <img class="img-responsive image_print" src="{{$row->getAnyAttribute('passport_image')}}" alt="">--}}

                {{--                        </div>--}}
                {{--                        <div class="passport-info to-print">--}}

                {{--                            <a href="{{$row->getAnyAttribute('passport_image')}}">--}}
                {{--                                <img src="{{asset('site/saudi/images/down.svg')}}" alt="">--}}
                {{--                                <span>تنزيل الصورة</span>--}}
                {{--                            </a>--}}
                {{--                        </div>--}}
                {{--                    </div>--}}
                {{--                </div>--}}
                <div class="col-sm-6 col-md-4 col-lg-4">
                    <div class="passport">
                        <h4 style="    margin-bottom: 15px;">صورة كارت عائلة مقدم الطلب</h4>

                        <div class="passport-img">
                            <img class="img-responsive image_print" src="{{$row->getAnyAttribute('family_card')}}"
                                 alt="">
                        </div>
                        <div class="passport-info to-print">
                            <a href="{{$row->getAnyAttribute('family_card')}}">
                                <img src="{{asset('site/saudi/images/down.svg')}}" alt="">

                                <span>تنزيل الصورة</span>
                            </a>
                        </div>
                    </div>
                </div>
                <div class="col-sm-6 col-md-4 col-lg-4">
                    <div class="passport">
                        <h4 style="    margin-bottom: 15px;">صورة امضاء مقدم الطلب</h4>

                        <div class="passport-img">
                            <img class="img-responsive image_print" src="{{$row->getAnyAttribute('client_sign')}}"
                                 alt="">
                        </div>
                        <div class="passport-info to-print">
                            <a href="{{$row->getAnyAttribute('client_sign')}}">
                                <img src="{{asset('site/saudi/images/down.svg')}}" alt="">

                                <span>تنزيل الصورة</span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>


        </div>


    </div>


</div>

<!-- start body content -->

@include('admin.controllers.footer')


<!-- Modal -->
{{--<div class="modal fade modal-card" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">--}}
{{--  <div class="modal-dialog" role="document">--}}
{{--    <div class="modal-content">--}}
{{--      <div class="modal-header">--}}
{{--        <button type="button" class="close" data-dismiss="modal" aria-label="Close">--}}
{{--          <span aria-hidden="true">&times;</span>--}}
{{--        </button>--}}
{{--        <h4></h4>--}}
{{--      </div>--}}
{{--      <div class="modal-body">--}}

{{--        <img  class="wd-100" src="./images/sh.png" alt="">--}}
{{--    </div>--}}
{{--  </div>--}}
{{--</div>--}}
{{--</div>--}}
