@include('admin.controllers.header')
@include('admin.controllers.upper-header')
@include('admin.controllers.sidebar')

<!-- start admin title -->
<!-- start body content -->

<div class="admin-title">
    <div class="container">
        <div class="title-search">
            <div class="admin-title-h">
                <img src="{{asset('admin/images/titles/government.svg')}}" alt="">
                <h4>كل الطلبات</h4>
            </div>
            @include('admin.orders.searchBar')
            <input type="hidden" class="orderStatus" value="all">


        </div>
    </div>
</div>


<div class="container mb-60 mt-30">


    <div style="margin-bottom: 30px;
    padding: 20px;
    border: 1px solid #dedede;
    border-radius: 5px;">
        <h3 style="margin: 0;">تصفيه</h3>
        <form method="get" action="{{route('orders_filter_money')}}">

            <div class="row">

                <div class="col-sm-6">
                    <div class="input-group">
                        <h6><strong>التاريخ من</strong></h6>
                        <input type="date" name="date_from" class="form-control"
                               value="{{old('date_from') ? old('date_from') : request()->get('date_from')}}"
                               placeholder="التاريخ من">
                        @if ($errors->has('date_from'))
                            <small class="text-danger">{{ $errors->first('date_from') }}</small>
                        @endif
                    </div>
                </div>
                <div class="col-sm-6">

                    <div class="input-group">
                        <h6><strong>التاريخ إلى</strong></h6>
                        <input type="date" name="date_to"
                               value="{{old('date_to') ? old('date_to') : request()->get('date_to')}}"
                               class="form-control" placeholder="التاريخ إلى">
                    </div>
                    @if ($errors->has('date_to'))
                        <small class="text-danger">{{ $errors->first('date_to') }}</small>
                    @endif
                </div>

                    <div class="col-md-12" style="margin-top: 15px; margin-bottom: 15px">
                        تصفيه عامة
                        <input type="radio"
                               {{old('type') == 'search' || request()->get('type') == 'search' ? 'checked' : '' }}  name="type"
                               style="margin-left: 20px;" value="search">
                        مدفوع الضريبه
                        <input type="radio"
                               {{old('type') == 'tax_paid' || request()->get('type') == 'tax_paid' ? 'checked' : '' }} name="type"
                               style="margin-left: 20px;" value="tax_paid">
                        غير مدفوع الضريبه
                        <input type="radio" name="type" style="margin-left: 20px;"
                               {{old('type') == 'not_tax_paid' || request()->get('type') == 'not_tax_paid' ? 'checked' : '' }} value="not_tax_paid">

                        @if ($errors->has('type'))
                            <small class="text-danger">{{ $errors->first('type') }}</small>
                        @endif
                    </div>


                    <div class="clearfix"></div>
                    <button type="submit" class="btn btn-success">تصفية</button>

            </div>

        </form>
    </div>

    <div class="tabs-container">
        <section class="">
            <div class="btn-group">
                <button type="button" class="btn btn-default dropdown-toggle h-34" data-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="false">خيارات
                </button>
                <button type="button" class="btn btn-primary dropdown-toggle h-34" data-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="false">
                    <span class="caret"></span>
                </button>

                <ul class="dropdown-menu drop-admin">


                    <li class="text-center send_all" style="cursor: pointer"><a>
                            <img src="{{asset('site/saudi/images/message.svg')}}" alt="">
                            <span class="color-black">ارسال رسالة</span></a></li>


                    @foreach($status as $key=>$value)


                        <li id="{{$key}}"

                            data-name="{{$key}}"
                            data-id="{{$value}}"
                            onclick="all_order_in(this)"
                            class="text-center" style="cursor: pointer;"><a>
                                <i class="fa fa-paper-plane"></i>
                                <span class="color-black">{{$value}}</span></a></li>

                    @endforeach

                </ul>

            </div>
        </section>

    </div>
    <div class="table-responsive">
        <table class="table table-bordered">
            <thead>
            <tr>

                <th scope="col">رقم الطلب</th>
                <th scope="col">اسم المقدم</th>
                <th scope="col">رقم السجل</th>
                <th scope="col">اسم العاملة</th>
                <th scope="col">الحالة</th>
                <th scope="col">النوع</th>
                <th scope="col">المكتب</th>
                <th scope="col">المبلغ المبيع</th>
                <th scope="col">الربح</th>
                <th scope="col">الضريبه</th>
                <th scope="col">
                    تعديل
                </th>
                <th scope="col">
                    المصاريف
                </th>
                <th scope="col">
                    ارفاق الحوالة
                </th>
                <th scope="col">
                    عرض
                </th>


            </tr>
            </thead>
            <tbody>
            @foreach($rows as $row)
                <tr>
                    <td scope="row">{{$row->code}}</td>
                    <td>{{$row->client_name}}</td>
                    <td>{{$row->civil_registry}}</td>
                    <td>
                        @if($row->cv_id)
                            {{ $row->cv->name}}
                        @elseif($row->order_worker)
                            {{$row->order_worker->name}}
                        @else
                            تم حذف بيانات العاملة
                        @endif
                    </td>
                    <td>{{$status[$row->status]}}</td>
                    <td>{{order_type($row->type)}}</td>
                    <td>{{$row->office ? $row->office->name : "تم حذف المكتب"}}</td>
                    <td>{{$row->totalPrice}}</td>
                    <td>{{$row->profit}}</td>
                    <td>{{$row->tax_paid == 'true' ? 'تم الدفع' : 'لم يتم الدفع'}}</td>

                    {{--                <td>--}}
                    {{--                    <button class="btn btn-success py-0">طباعة</button>--}}
                    {{--                </td>--}}

                    <td>
                        <a style="padding: 0;
    text-align: center;
    margin: 0 auto;
    display: table;
    margin-top: 2px;
    font-size: 15px;" href="{{route('edit_order_admin', $row->id)}}"><i class="fa fa-edit"></i></a>
                    </td>
                    <td>
                        <a href="{{route('orderExpenses.index','id='.$row->id)}}"
                           style="background-color: #7bb177;color: whitesmoke" class="btn btn-req">
                            المصاريف المالية
                        </a>
                    </td>
                    <td class="text-center">

                        @if($row->transfer_money_status == 'true')
                            <a
                                style="background-color: #7bb177;color: whitesmoke" disabled class="btn btn-primary">
                                تم التحويل
                            </a>
                        @else
                            <a href="{{route('transfers',$row->id)}}"
                               style="background-color: #7bb177;color: whitesmoke" class="btn btn-primary">
                                ارفاق
                            </a>
                        @endif
                    </td>

                    <td>
                        <a style="padding: 0;
    text-align: center;
    margin: 0 auto;
    display: table;
    margin-top: 2px;
    font-size: 15px;" href="{{route('order', $row->id)}}"><i class="fa fa-eye"></i></a>
                    </td>


                    <td class="text-center"><input class="form-check-input sub_chk" data-id="{{$row->id}}"
                                                   type="checkbox"
                                                   id="defaultCheck1">
                    </td>

                </tr>
            @endforeach

            </tbody>

        </table>

        <div class="text-center" style="margin-top: 30px">
            {{$rows->links()}}
        </div>

    </div>

    @if(!isset($hidden_tax))
        <div class="col-md-12"
             style="font-size: 19px;
    padding: 30px 0px;
    border: 1px #ddd solid;">
            <div class="row">
                <div class="col-md-3" style="border-left: 1px #ddd solid ">
                    <span>الضريبه التى لم تدفع : </span>
                    <strong>{{$tax_not_paid}}</strong>
                </div>

                <div class="col-md-3">
                    <span>صافى الربح : </span>
                    <strong>{{$orders_paid}}</strong>
                </div>

                <div class="col-md-3">

                    @if(isset($check) == 'true' && count($rows) > 0)
                        <button type="button" class="btn btn-primary waves-effect waves-light"
                                data-toggle="modal" data-target="#myModal">دفع الضرائب عن المده المحدده
                        </button>
                    @endif
                    <div id="myModal" class="modal fade" tabindex="-1" role="dialog"
                         aria-labelledby="myModalLabel" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title"
                                        id="myModalLabel">دفع الضرائب</h5>
                                    <button type="button" class="close" data-dismiss="modal"
                                            aria-hidden="true">×
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <h5 class="font-16">هل تريد دفع الضرائب عن المده المحدده ؟</h5>

                                </div>
                                <div class="modal-footer">

                                    <form method="post" enctype="multipart/form-data"
                                          action="{{route('paid_tax')}}">
                                        @csrf
                                        <input type="hidden" value="{{request()->get('date_from')}}" name="from">
                                        <input type="hidden" value="{{request()->get('date_to')}}" name="to">
                                        <button type="button" class="btn btn-light waves-effect"
                                                data-dismiss="modal">إلغاء
                                        </button>
                                        <button type="submit"
                                                class="btn btn-success waves-effect waves-light">دفع
                                        </button>
                                    </form>


                                </div>
                            </div><!-- /.modal-content -->
                        </div><!-- /.modal-dialog -->
                    </div><!-- /.modal -->            </div>

            </div>


        </div>
    @endif

    <div class="modal fade" id="exampleModal1" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
         aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">إرسال رسالة نصية</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">

                    <form action="{{route('send_sms_admin')}}" method="POST" class="text-center">
                        @csrf
                        <div id="item_sms">
                            @include('admin.orders.model_sms_ajax')
                        </div>

                        <div class="ajax_load_sms text-center" style="display:none;    margin: 0 auto;
    min-height: 150px;
    margin-top: 100px;">
                            <p><img style="width: 40px;" src="{{asset('site/loading_image.gif')}}"></p>
                        </div>


                        <h5>نص الرسالة</h5>
                        <textarea name="message" id="" cols="30" rows="2">
                            </textarea>
                        @if ($errors->has('message'))
                            <small class="text-danger">{{ $errors->first('message') }}</small>
                        @endif
                        <div class="button-sub">
                            <button type="submit" class="btn-req">ارسال</button>

                        </div>
                    </form>

                </div>


            </div>
        </div>
    </div>


    <div class="modal fade" id="exampleModalNotify" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
         aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">إضافة تنبية جديد</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">

                    <form action="{{route('admin_notify_clients')}}" method="POST" class="text-center">
                        @csrf
                        <div id="item_notify">
                            @include('admin.orders.model_sms_ajax')
                        </div>

                        <div class="ajax_load_sms text-center" style="display:none;    margin: 0 auto;
    min-height: 150px;
    margin-top: 100px;">
                            <p><img style="width: 40px;" src="{{asset('site/loading_image.gif')}}"></p>
                        </div>


                        <h5>نوع التنبية</h5>
                        <input type="text" required name="type" class="form-control" placeholder="نوع التنبية">
                        @if ($errors->has('type'))
                            <small class="text-danger">{{ $errors->first('type') }}</small>
                        @endif


                        <h5>نص الرسالة</h5>
                        <textarea required name="notes" id="" cols="30" rows="2">
                            </textarea>
                        @if ($errors->has('notes'))
                            <small class="text-danger">{{ $errors->first('notes') }}</small>
                        @endif
                        <div class="button-sub">
                            <button type="submit" class="btn-req">ارسال</button>

                        </div>
                    </form>

                </div>


            </div>
        </div>
    </div>


    @foreach($status as $key=>$value)

        <div class="modal fade" id="exampleModal{{$key}}" tabindex="-1" role="dialog"
             aria-labelledby="exampleModalLabel"
             aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">إشعار تأكيد</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="item-print">
                            {{--                    <img src="{{asset('admin/images/titles/ga.svg')}}" alt="">--}}
                            {{--                    <i style="height: 100px ; width: 100px" class="fa fa-paper-plane"></i>--}}
                            <p>هل تريد نقل العقد الي {{$value}} ؟ </p>


                            <form action="{{route('adminConvertAll', $key)}}" method="POST"
                                  class="text-center">
                                @csrf
                                <div id="item_{{$key}}">
                                    @include('admin.orders.model_polo_ajax')
                                </div>

                                <div class="ajax_load_sms text-center" style="display:none;    margin: 0 auto;
    min-height: 150px;
    margin-top: 100px;">
                                    <p><img style="width: 40px;"
                                            src="{{asset('site/loading_image.gif')}}"></p>
                                </div>

                                <div class="button-sub">
                                    <button type="submit" class="btn-req">تحويل الي {{$value}}</button>

                                </div>
                            </form>


                        </div>
                    </div>

                </div>
            </div>
        </div>
    @endforeach



    @section('script')
        <script>

            $('.send_all').on('click', function (e) {
                var allVals = [];
                $(".sub_chk:checked").each(function () {
                    allVals.push($(this).attr('data-id'));
                });
                console.log(allVals)
                if (allVals.length <= 0) {
                    Swal.fire({
                        title: 'برجاء اختيار الطلبات لارسال رسالة',
                        icon: 'warning',
                        iconHtml: '!',
                        confirmButtonText: 'نعم',

                    })

                } else {

                    // var check = confirm("Are you sure you want to delete this row?");
                    // if(check == true){

                    var join_selected_values = allVals.join(",");

                    $.ajax({
                        url: '{{route('admin_orders_clients_ajax')}}',
                        type: 'GET',
                        // headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                        data: {ids: join_selected_values},
                        beforeSend: function () {
                            $("#item_sms").html('');
                            $('.ajax_load_sms').show();
                        },
                        success: function (data) {
                            console.log(data.html);
                            $('.ajax_load_sms').hide();
                            $("#item_sms").append(data.html);

                            $('#exampleModal1').modal('show');

                            // if (data['success']) {
                            //     $(".sub_chk:checked").each(function() {
                            //         $(this).parents("tr").remove();
                            //     });
                            //     alert(data['success']);
                            // } else if (data['error']) {
                            //     alert(data['error']);
                            // } else {
                            //     alert('Whoops Something went wrong!!');
                            // }
                        },

                        error: function (data) {
                            alert(data.responseText);
                        }
                    });

                    // $.each(allVals, function( index, value ) {
                    //     $('table tr').filter("[data-row-id='" + value + "']").remove();
                    // });
                    // }
                }
            });

            function all_order_in(ele) {
                var status_in = $(ele).attr('data-name');
                var value = $(ele).attr('data-id');

                var allVals = [];
                $(".sub_chk:checked").each(function () {
                    allVals.push($(this).attr('data-id'));
                });
                console.log(allVals)
                if (allVals.length <= 0) {
                    Swal.fire({
                        title: "برجاء اختيار الطلبات  لتحويلها إلي " + value,
                        icon: 'warning',
                        iconHtml: '!',
                        confirmButtonText: 'نعم'
                    })

                } else {

                    // var check = confirm("Are you sure you want to delete this row?");
                    // if(check == true){

                    var join_selected_values = allVals.join(",");

                    $.ajax({
                        url: '{{route('admin_orders_clients_ajax')}}',
                        type: 'GET',
                        // headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                        data: {
                            ids: join_selected_values, polo: false
                        },
                        beforeSend: function () {
                            $("#item_" + status_in).html('');
                            $('.ajax_load_sms').show();
                        },
                        success: function (data) {
                            console.log(data.html);
                            $('.ajax_load_sms').hide();
                            $("#item_" + status_in).append(data.html);

                            $('#exampleModal' + status_in).modal('show');

                            // if (data['success']) {
                            //     $(".sub_chk:checked").each(function() {
                            //         $(this).parents("tr").remove();
                            //     });
                            //     alert(data['success']);
                            // } else if (data['error']) {
                            //     alert(data['error']);
                            // } else {
                            //     alert('Whoops Something went wrong!!');
                            // }
                        },

                        error: function (data) {
                            alert(data.responseText);
                        }
                    });

                    // $.each(allVals, function( index, value ) {
                    //     $('table tr').filter("[data-row-id='" + value + "']").remove();
                    // });
                    // }
                }
            }


        </script>
@endsection


@include('admin.controllers.footer')
