@include('admin.controllers.header')
@include('admin.controllers.upper-header')

<!-- start sidebar -->
@include('admin.controllers.sidebar')
<!-- end sidebar -->

<!-- start admin title -->
<div class="admin-title">
    <div class="container">
        <div class="admin-title-h">
            <img src="{{asset('admin/images/titles/settings.svg')}}" alt="">
            <h4>تعديل الطلب رقم {{$row->code}}</h4>
        </div>
    </div>
</div>
</div>
<!-- start admin title -->
<!-- start body content -->


<div class="container">

    <form action="{{route('givenNameUpdate', $row->id)}}" method="post" enctype="multipart/form-data">
        @csrf
        <div class="mb-40">
            <div class="title-head">
                <h4>تعديل الطلب</h4>
            </div>
            <div class="box-border">
                <div class="row" style="border: 1px #eee solid">
                    <div class="col-sm-12">
                        <h3>إختيار العاملة</h3>
                    </div>
                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>اسم العاملة</strong></h6>
                            <input type="text" name="name"
                                   value="{{$row->order_worker->name}}"
                                   class="form-control" required
                                   placeholder="إسم العاملة">
                            @if ($errors->has('name'))
                                <small class="text-danger">{{ $errors->first('name') }}</small>
                            @endif
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>Reference Number</strong></h6>
                            <input type="text" name="reference_number"
                                   value="{{$row->order_worker->reference_number}}"
                                   class="form-control" required
                                   placeholder="Reference Number">
                            @if ($errors->has('reference_number'))
                                <small class="text-danger">{{ $errors->first('reference_number') }}</small>
                            @endif
                        </div>
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>النوع</strong></h6>

                            <select name="gender" required class="form-control">
                                <option
                                    {{$row->order_worker->gender == 'male' ? 'selected' : ''}} value="male">
                                    ذكر
                                </option>

                                <option
                                    {{$row->order_worker->gender == 'female' ? 'selected' : ''}}
                                    value="female">
                                    أنثي
                                </option>


                            </select>
                            @if ($errors->has('gender'))
                                <small class="text-danger">{{ $errors->first('gender') }}</small>
                            @endif
                        </div>
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>رقم الجوال</strong></h6>
                            <input type="text" name="mobile"
                                   value="{{$row->order_worker->mobile}}"
                                   required class="form-control"
                                   placeholder="رقم جوال">
                            @if ($errors->has('mobile'))
                                <small class="text-danger">{{ $errors->first('mobile') }}</small>
                            @endif
                        </div>
                    </div>


                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>رقم جوال اخر</strong></h6>
                            <input type="text" name="another_mobile"
                                   value="{{$row->order_worker->another_mobile}}"
                                   required
                                   class="form-control" placeholder="رقم جوال اخر">
                            @if ($errors->has('another_mobile'))
                                <small class="text-danger">{{ $errors->first('another_mobile') }}</small>
                            @endif
                        </div>
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>اسم القريب</strong></h6>
                            <input type="text" name="name_family_member"
                                   value="{{$row->order_worker->name_family_member}}"
                                   required
                                   class="form-control" placeholder="اسم القريب">
                            @if ($errors->has('name_family_member'))
                                <small class="text-danger">{{ $errors->first('name_family_member') }}</small>
                            @endif
                        </div>
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>رقم جوال القريب</strong></h6>
                            <input type="text" name="mobile_family_member"
                                   value="{{$row->order_worker->mobile_family_member}}"
                                   required
                                   class="form-control" placeholder="رقم جوال القريب">
                            @if ($errors->has('mobile_family_member'))
                                <small class="text-danger">{{ $errors->first('mobile_family_member') }}</small>
                            @endif
                        </div>
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>عنوان القريب</strong></h6>
                            <input type="text" name="address_family_member"
                                   value="{{$row->order_worker->address_family_member}}"
                                   required
                                   class="form-control" placeholder="عنوان القريب">
                            @if ($errors->has('address_family_member'))
                                <small class="text-danger">{{ $errors->first('address_family_member') }}</small>
                            @endif
                        </div>
                    </div>


                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>جهة الوصول</strong></h6>
                            <select name="city_id" required class="form-control">
                                <option disabled selected> برجاء اختيار جهة الوصول</option>
                                @foreach($cities as $city)

                                    <option
                                        {{$row->order_worker->city_id == $city->id ? 'selected' : ''}} value="{{$city->id}}">
                                        {{$city->title['ar']}}
                                    </option>
                                @endforeach
                            </select>
                            @if ($errors->has('city_id'))
                                <small class="text-danger">{{ $errors->first('city_id') }}</small>
                            @endif
                        </div>
                    </div>


                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>المهنة</strong></h6>
                            <select name="job_title_id" required class="form-control">
                                <option disabled selected> برجاء اختيار المهنة</option>
                                @foreach($job_titles as $job_title)

                                    <option

                                        {{$row->job_title_id == $job_title->id ? 'selected' : ''}}
                                        value="{{$job_title->id}}">
                                        {{$job_title->name[App::getLocale()]}}
                                    </option>
                                @endforeach
                            </select>
                            @if ($errors->has('job_title_id'))
                                <small class="text-danger">{{ $errors->first('job_title_id') }}</small>
                            @endif
                        </div>
                    </div>


                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>العنوان</strong></h6>
                            <input type="text" name="address"
                                   value="{{$row->order_worker->address}}"
                                   required
                                   class="form-control"
                                   placeholder="العنوان">
                            @if ($errors->has('address'))
                                <small class="text-danger">{{ $errors->first('address') }}</small>
                            @endif
                        </div>
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>رقم التاشيرة</strong></h6>
                            <input type="text" name="visa_number" maxlength="10" minlength="10" required
                                   class="form-control"
                                   value="{{$row->visa_number}}"
                                   placeholder="رقم التاشيرة">
                            @if ($errors->has('visa_number'))
                                <small class="text-danger">{{ $errors->first('visa_number') }}</small>
                            @endif

                        </div>
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>تاريخ بداية الجواز</strong></h6>
                            <input type="date" name="passport_start" required class="form-control"
                                   value="{{$row->order_worker->passport_start}}"
                                   placeholder="تاريخ بداية الجواز">
                            @if ($errors->has('passport_start'))
                                <small class="text-danger">{{ $errors->first('passport_start') }}</small>
                            @endif

                        </div>
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>تاريخ إنتهاء الجواز</strong></h6>
                            <input type="date" name="passport_end" required class="form-control"
                                   value="{{$row->order_worker->passport_end}}"
                                   placeholder="تاريخ إنتهاء الجواز">
                            @if ($errors->has('passport_end'))
                                <small class="text-danger">{{ $errors->first('passport_end') }}</small>
                            @endif
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>رقم الجواز</strong></h6>
                            <input type="text" required name="passport_number" class="form-control"
                                   value="{{$row->order_worker->passport_number}}"
                                   placeholder="رقم الجواز">
                            @if ($errors->has('passport_number'))
                                <small class="text-danger">{{ $errors->first('passport_number') }}</small>
                            @endif
                        </div>
                    </div>


                    <div class="col-sm-6 col-md-6 col-lg-6">
                        <div class="title-head">
                            <h3>مرفق الجواز</h3>
                        </div>
                        <div class="drob-upload">
                            <div class="drop-area">
                                <div class="drop-area-body">
                                    <img src="{{asset('site/saudi/images/upload.svg')}}" alt="">
                                    <h6>قم بسحب او إسقاط مرفق الجواز هنا للتحميل</h6>
                                    <input name="passport_attachment" type="file">
                                </div>
                            </div>
                            <h5>مرفق الجواز</h5>
                        </div>
                    </div>

                </div>


                <div class="row">
                    <div class="col-sm-12">
                        <h3>تحديد المكتب</h3>
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>بلد المكتب</strong></h6>
                            <select name="country_id" required class="form-control" id="country">
                                <option disabled selected>برجاء اختيار البلد</option>
                                @foreach($countries as $country)
                                    <option
                                        {{$row->office->country->id == $country->id ? 'selected' : ''}} value="{{$country->id}}">{{$country->name[App::getLocale()]}}</option>
                                @endforeach

                            </select>

                            @if ($errors->has('country_id'))
                                <small class="text-danger">{{ $errors->first('country_id') }}</small>
                            @endif
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>المكتب</strong></h6>
                            <select name="office_id" required class="form-control" id="office">
                                <option selected disabled> برجاء اختيار البلد أولا</option>
                                @foreach($offices as $office)
                                    <option
                                        value="{{$row->office->id}}" {{$row->office->id == $office->id ? 'selected' : '' }} >

                                        {{$office->name}}

                                    </option>
                                @endforeach
                            </select>
                        </div>
                    </div>

                </div>


                <div class="row" style="border: 1px #eee solid; margin-top: 30px; padding: 15px">

                    <div class="col-sm-12">
                        <div class="title-head">
                            <h3>المرفقات</h3>
                        </div>
                    </div>

                    <div class="col-sm-6 col-md-6 col-lg-6">
                        <div class="drob-upload">
                            <h5>كارت العائلة</h5>
                            <div class="drop-area">
                                <div class="drop-area-body">
                                    <img src="{{asset('site/saudi/images/upload.svg')}}" alt="">
                                    <h6>قم بسحب او إسقاط الملف هنا للتحميل</h6>
                                    <input name="family_card" type="file">
                                </div>
                            </div>
                        </div>
                    </div>


                </div>


                <div class="row">

                    <div class="col-sm-12 col-md-12 col-lg-6">
                        <div class="title-head">
                            <h3>طريقة متابعة الطلب</h3>
                        </div>

                        <div class="item-check">
                            <div class="form-check form-check-inline">
                                <label class="form-check-label" for="inlineCheckbox1">كلاهما</label>
                                <input class="form-check-input" type="radio" name="follow_type" id="inlineCheckbox1"
                                       {{$row->follow_type == 'both' ? 'checked' : ''}}
                                       value="both">
                            </div>

                            <div class="form-check form-check-inline">
                                <label class="form-check-label" for="inlineCheckbox2">E - Mail</label>
                                <input class="form-check-input" type="radio" name="follow_type" id="inlineCheckbox2"
                                       {{$row->follow_type == 'email' ? 'checked' : ''}}
                                       value="email">
                            </div>
                            <div class="form-check form-check-inline">
                                <label class="form-check-label" for="inlineCheckbox2">SMS</label>
                                <input class="form-check-input" type="radio" name="follow_type" id="inlineCheckbox2"
                                       {{$row->follow_type == 'sms' ? 'checked' : ''}}

                                       value="sms">
                            </div>
                        </div>

                    </div>

                    <div class="col-sm-12 col-md-12 col-lg-6">
                        <div class="drob-upload">
                            <div class="drop-area">
                                <div class="drop-area-body">
                                    <img src="{{asset('site/saudi/images/uplo-t.svg')}}" alt="">
                                    <h6>قم بسحب او إسقاط الملف هنا للتحميل</h6>
                                    <input name="client_sign" type="file">
                                    @if ($errors->has('client_sign'))
                                        <small class="text-danger">{{ $errors->first('client_sign') }}</small>
                                    @endif
                                </div>
                            </div>
                            <h5>توقيع العميل</h5>
                        </div>
                    </div>
                </div>


            </div>


        </div>


        <div class="clearfix"></div>
        <div class="col-sm-12 col-md-12 col-lg-12">
            <button type="submit" class="form-butt">تعديل</button>
        </div>

    </form>

</div>


<!-- start body content -->

@include('admin.controllers.footer')
