@include('site.client.controllers.upper-header')

@include('site.client.controllers.header')


<nav aria-label="breadcrumb" class="breadcrumb">
    <div class="container">
        <ol class="breadcrumb mb-0 inline">
            <li class="breadcrumb-item"><a href="{{route('client_home')}}">@lang('data.home')</a></li>
            <li class="breadcrumb-item active" aria-current="page">@lang('data.complaints')</li>
        </ol>
        <button class="left basic-butt btn " href="#add-complaints" data-toggle="modal" data-target="#add-complaints">+
            @lang('data.addComplaint')
        </button>
    </div>
</nav>
<div class="container mb-60 mt-30">

    @if($errors->any())
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                    <div class="alert-danger">{{ $error }}</div>
                @endforeach
            </ul>
        </div>
    @endif





    @forelse ($rows as $row)
        <div class="bordered">
            <div class="row">
                <div class="col-sm-4">
                    <article class="blue-complain">
                        <h5><strong>@lang('data.complaint_no')</strong></h5>
                        <p><small>{{$row->code}}</small></p>
                    </article>
                </div>
                <div class="col-sm-4">
                    <article class="green-complain">
                        <h5><strong>@lang('data.complaint_status')</strong></h5>
                        <p><small>{{$row->status == 'new' ? Lang::get('data.new') : Lang::get('data.closed')}}</small></p>
                    </article>
                </div>
                <div class="col-sm-4">
                    <article class="blue-complain">
                        <h5><strong>@lang('data.worker_name')</strong></h5>
                        <p><small>{{$row->order->cv_id ? $row->order->cv->name : $row->order->order_worker->name}}</small></p>
                    </article>
                </div>
                <div class="col-sm-12 mt-30">
                    <article>
                        <h5 class="blue-complain"><strong>@lang('data.complaintNotes')</strong></h5>
                        <p class="bordered"><small>{{$row->notes}}</small></p>
                    </article>
                </div>
            </div>
        </div>
    @empty
        <h3>{{Lang::get('data.noComplaints')}}</h3>
    @endforelse


    <div class="modal fade" id="add-complaints" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <form method="post" action="{{route('new_complaint')}}" class="text-center">
                    @csrf
                    <div class="modal-header">
                        <h4 class="modal-title"> @lang('data.addComplaint')</h4>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>

                        <ul class="flex-label">
                            <li class="inline modal-h-li item-flex">
                                <span>
                                @lang('data.order_no') :
                                </span>
                                <select name="order_id" id="order" required class="form-control">
                                    <option disabled selected>@lang('data.selectOrderNo')</option>
                                    @foreach($orders as $order)
                                        <option value="{{$order->id}}">{{$order->code}}</option>
                                    @endforeach
                                </select></li>
                            <li id="worker_name" class="inline modal-h-li"></li>
                        </ul>
                    </div>
                    <div class="modal-body">
                        <h5>@lang('data.complaintNotes')</h5>

                        <textarea name="notes" required cols="30" rows="2" placeholder="@lang('data.complaintNotes')"></textarea>
                        <button type="submit" class="form-butt">@lang('data.send')</button>
                    </div>
                </form>


            </div>
        </div>
    </div>

</div>


@include('site.client.controllers.footer')
