@include('site.foreign.controllers.upper-header')
@include('site.foreign.controllers.header')

<nav aria-label="breadcrumb" class="breadcrumb">
    <div class="container">
        <div class="c-item-search">
            <ol class="breadcrumb mb-0 inline">
                <li class="breadcrumb-item"><a href="{{route('foreign_home')}}">@lang('data.home')</a></li>
                <li class="breadcrumb-item active" aria-current="page">@lang('data.orders')</li>
            </ol>
            <div class="s-content">

                <div class="search-bar">
                    <input type="text" name="search" id="order_search" placeholder="@lang('data.searchForOrder')">
                    <button><img src="{{asset('site/foreign/images/s-search.svg')}}" alt=""></button>
                </div>
            </div>
        </div>
    </div>
</nav>
<div class="container mb-60 mt-30">
    <div class="tabs-container">
        <div class="item-nav-tabs">
            <ul class="tap-itme">

                <li id="all_orders" class="active">
                    {{--<img src="{{asset('site/foreign/images/od1.svg')}}" alt="">--}}
                    <span onclick="orders()">@lang('data.allOrders')</span>
                </li>

                <li id="new" onclick="orders('paid')">
                    <span>@lang('data.new')</span>
                </li>
                <li id="foreign_accept" onclick="orders('foreign_accept')">
                    <span>@lang('data.foreignOfficeApproval')</span>
                </li>

                {{--                <li id="paid" onclick="orders('paid')">--}}
                {{--                    <span>مدفوع</span>--}}
                {{--                </li>--}}
                {{--                --}}
                {{--                <li id="not_verified" onclick="orders('not_verified')">--}}
                {{--                    <span>غير موثق</span>--}}
                {{--                </li>--}}

                <li id="polo" onclick="orders('polo')">
                    <span>@lang('data.polo')</span>
                </li>

                <li id="verified" onclick="orders('verified')">
                    <span>@lang('data.verified')</span>
                </li>

                <li id="in_shipping" onclick="orders('in_shipping')">
                    <span>@lang('data.in_shipping')</span>
                </li>

                <li id="in_progress" onclick="orders('in_progress')">
                    <span>@lang('data.in_progress')</span>
                </li>

                <li id="travel" onclick="orders('travel')">
                    <span>@lang('data.travel')</span>
                </li>

                <li id="delivered" onclick="orders('delivered')">
                    <span>@lang('data.delivered')</span>
                </li>

                <li id="cancel" onclick="orders('cancel')">
                    <span>@lang('data.canceled')</span>
                </li>


            </ul>
        </div>

        <section class="">
            <div class="btn-group">

                <button type="button" class="btn btn-default drop dropdown-toggle h-34" data-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="false">@lang('data.options')
                </button>
                <button type="button" class="btn btn-primary drop dropdown-toggle h-34" data-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="false">
                    <span class="caret"></span>
                </button>

                <ul class="dropdown-menu drop-admin">

                    <li class="text-center" style="cursor: pointer"><a>
                            <i class="fas fa-exclamation-triangle"></i>
                            <span class="color-black" id="send_complaint">@lang('data.sendComplaint')</span></a></li>

                    {{--                    <li><a href="#" data-toggle="modal" data-target="#exampleModal" class="py-10">--}}
                    {{--                            <img src="{{asset('site/foreign/images/print.svg')}}" alt="">--}}
                    {{--                            <span class="color-black">طباعة</span></a></li>--}}

                    <li class="in_shipping" style="display: none">
                        <a href="#" class="py-10">
                            <i class="fas fa-redo-alt"></i>
                            <span class="color-black in_progress">@lang('data.in_progress')</span></a>
                    </li>

                    <li class="in_progress_select" style="display: none">
                        <a href="#" class="py-10">
                            <i class="fas fa-redo-alt"></i>
                            <span class="color-black travel">@lang('data.travel')</span></a>
                    </li>


                </ul>
            </div>
        </section>
    </div>
    <!-- 1 -->
    <div class="" id="item_order">

        @include('site.foreign.order_ajax')

    </div>

    <div class="ajax-load text-center" style="display:none;    margin: 0 auto;
    min-height: 150px;
    margin-top: 100px;">
        <p><img style="width: 40px;" src="{{asset('site/loading_image.gif')}}"></p>
    </div>


</div>


<!-- Modal -->
<div class="modal fade" id="exampleModal1" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
     aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">@lang('data.sendTextMessage')</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">

                <form action="{{route('send_complaint_foreign')}}" method="POST" class="text-center">
                    @csrf
                    <div id="item_complaint">
                        @include('site.foreign.model_ajax')
                    </div>

                    <div class="ajax_load_sms text-center" style="display:none;    margin: 0 auto;
    min-height: 150px;
    margin-top: 100px;">
                        <p><img style="width: 40px;" src="{{asset('site/loading_image.gif')}}"></p>
                    </div>


                    <h5>@lang('data.sendComplaint')</h5>
                    <textarea name="complaint" id="" cols="30" rows="2">
                            </textarea>
                    @if ($errors->has('complaint'))
                        <small class="text-danger">{{ $errors->first('complaint') }}</small>
                    @endif
                    <div class="button-sub">
                        <button type="submit" class="btn-req">@lang('data.send')</button>

                    </div>
                </form>

            </div>


        </div>
    </div>
</div>
<!-- Modal -->


<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
     aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">
                    @lang('data.confirmationAlert')
                </h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="item-print">
                    <img src="{{asset('site/foreign/images/item-print.svg')}}" alt="">
                    <p>@lang('data.doYouWantToPrintTheContractAndTransferItToTheReferralDepartmentOrNot')</p>
                    <div class="button-sub">
                        <a href="" class="btn-req">@lang('data.printAndTransferForReferral')</a>
                        <a href="" class="btn-rej">@lang('data.printWithoutTransfer')</a>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>

<div class="modal fade" id="exampleModal2" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel2"
     aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">                    @lang('data.confirmationAlert')
                </h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="item-print">
                    <img src="{{asset('site/foreign/images/mas.svg')}}" alt="">
                    <p>@lang('data.messageSentSuccessfully')</p>
                    <div class="button-sub">
                        <a href="" class="btn-req">@lang('data.home')</a>

                    </div>
                </div>
            </div>

        </div>
    </div>
</div>


@section('script')
    <script>

        $('#order_search').keypress(function (e) {
            var key = e.which;
            if (key == 13)  // the enter key code
            {

                var order_code = $("#order_search").val();

                $.ajax({
                    type: 'GET',
                    url: '{{route('order_search_foreign_ajax')}}',
                    data: {order_code: order_code},
                    beforeSend: function () {
                        $("#item_order").html('');
                        $('.ajax-load').show();
                    },
                    success: function (data) {

                        $('.ajax-load').hide();
                        $("#item_order").append(data.html);
                        $('.tap-itme li.active').removeClass('active');
                        $('#all_orders').addClass('active');

                    },
                    error: function (jqXHR, textStatus, errorThrown) {
                        errorFunction();
                    }
                });

            }
        });

        $('.in_progress').on('click', function (e) {
            var allVals = [];
            $(".sub_chk:checked").each(function () {
                allVals.push($(this).attr('data-id'));
            });
            console.log(allVals)
            if (allVals.length <= 0) {
                Swal.fire({
                    title: '{{Lang::get('data.choseOrdersToInProgress')}}',
                    icon: 'warning',
                    iconHtml: '!',
                    confirmButtonText: '{{Lang::get('data.Yes')}}',

                })

            } else {


                Swal.fire({
                    title: '{{Lang::get('data.convertOrderToInProgress')}}',
                    icon: 'question',
                    iconHtml: '؟',
                    confirmButtonText: '{{Lang::get('data.Yes')}}',
                    cancelButtonText:  '{{Lang::get('data.No')}}',
                    showCancelButton: true,
                    showCloseButton: true
                }).then((result) => {
                    if (result.isConfirmed) {
                        var join_selected_values = allVals.join(",");

                        $.ajax({
                            url: '{{route('orders_change_in_progress')}}',
                            type: 'POST',
                            headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                            data: {ids: join_selected_values},
                            success: function (data) {
                                if (data.data == 'done') {
                                    Swal.fire({
                                        position: 'center',
                                        icon: 'success',
                                        title: '{{Lang::get('data.orderConvertedToInProgress')}}',
                                        showConfirmButton: false,
                                        timer: 1500
                                    })
                                    $('.tap-itme li.active').removeClass('active');
                                    $('#all_orders').addClass('active');
                                } else {
                                    Swal.fire({
                                        position: 'center',
                                        icon: 'error',
                                        title: '{{Lang::get('data.somethingWentWrong')}}',
                                        showConfirmButton: false,
                                        timer: 1500
                                    })
                                }
                            },

                            error: function (data) {
                                alert(data.responseText);
                            }
                        });
                    }
                })


            }
        });

        $('.travel').on('click', function (e) {
            var allVals = [];
            $(".sub_chk:checked").each(function () {
                allVals.push($(this).attr('data-id'));
            });
            console.log(allVals)
            if (allVals.length <= 0) {
                Swal.fire({
                    title: '{{Lang::get('data.choseOrdersToTravel')}}',
                    icon: 'warning',
                    iconHtml: '!',
                    confirmButtonText: '{{Lang::get('data.Yes')}}',

                })

            } else {


                Swal.fire({
                    title: '{{Lang::get('data.convertOrderToTravel')}}',
                    icon: 'question',
                    iconHtml: '؟',
                    confirmButtonText: '{{Lang::get('data.Yes')}}',
                    cancelButtonText: '{{Lang::get('data.No')}}',
                    showCancelButton: true,
                    showCloseButton: true
                }).then((result) => {
                    if (result.isConfirmed) {
                        var join_selected_values = allVals.join(",");

                        $.ajax({
                            url: '{{route('orders_change_travel')}}',
                            type: 'POST',
                            headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                            data: {ids: join_selected_values},
                            success: function (data) {
                                if (data.data == 'done') {
                                    Swal.fire({
                                        position: 'center',
                                        icon: 'success',
                                        title: '{{Lang::get('data.orderConvertedToTravel')}}',
                                        showConfirmButton: false,
                                        timer: 1500
                                    })
                                    $('.tap-itme li.active').removeClass('active');
                                    $('#all_orders').addClass('active');
                                } else {
                                    Swal.fire({
                                        position: 'center',
                                        icon: 'error',
                                        title: '{{Lang::get('data.somethingWentWrong')}}',
                                        showConfirmButton: false,
                                        timer: 1500
                                    })
                                }
                            },

                            error: function (data) {
                                alert(data.responseText);
                            }
                        });
                    }
                })


            }
        });

        $('#send_complaint').on('click', function (e) {

            var allVals = [];
            $(".sub_chk:checked").each(function () {
                allVals.push($(this).attr('data-id'));
            });
            console.log(allVals)
            if (allVals.length <= 0) {
                Swal.fire({
                    title: '{{Lang::get('choseOrderToSendComplaints')}}',
                    icon: 'warning',
                    iconHtml: '!',
                    confirmButtonText: '{{Lang::get('data.Yes')}}',

                })

            } else {

                // var check = confirm("Are you sure you want to delete this row?");
                // if(check == true){

                var join_selected_values = allVals.join(",");

                $.ajax({
                    url: '{{route('orders_foreign_ajax')}}',
                    type: 'GET',
                    // headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                    data: {ids: join_selected_values},
                    beforeSend: function () {
                        $("#item_complaint").html('');
                        $('.ajax_load_sms').show();
                    },
                    success: function (data) {
                        console.log(data.html);
                        $('.ajax_load_sms').hide();
                        $("#item_complaint").append(data.html);

                        $('#exampleModal1').modal('show');

                        // if (data['success']) {
                        //     $(".sub_chk:checked").each(function() {
                        //         $(this).parents("tr").remove();
                        //     });
                        //     alert(data['success']);
                        // } else if (data['error']) {
                        //     alert(data['error']);
                        // } else {
                        //     alert('Whoops Something went wrong!!');
                        // }
                    },

                    error: function (data) {
                        alert(data.responseText);
                    }
                });

                // $.each(allVals, function( index, value ) {
                //     $('table tr').filter("[data-row-id='" + value + "']").remove();
                // });
                // }
            }
        });

        function orders(status) {

            console.log(status);

            $.ajax({
                    type: 'GET',
                    url: '{{route('order_ajax_foreign')}}',
                    data: {status: status},
                    beforeSend: function () {
                        $("#item_order").html('');
                        $('.ajax-load').show();
                    },
                    success: function (data) {
                        // console.log(data.html);
                        $('.ajax-load').hide();

                        if (status == 'in_shipping') {
                            $('.in_shipping').show();
                        } else {
                            $('.in_shipping').hide();
                        }

                        if (status == 'in_progress') {
                            $('.in_progress_select').show();
                        } else {
                            $('.in_progress_select').hide();
                        }


                        $("#item_order").append(data.html);
                    },
                    error: function (jqXHR, textStatus, errorThrown) {
                        errorFunction();
                    }
                }
            )
            ;

        }

    </script>
@endsection

@include('site.foreign.controllers.footer')


