<?php

use App\Http\Controllers\Admin\ArchivesController;
use App\Http\Controllers\Admin\TransfersController;
use App\Http\Controllers\Admin\BlackListController;
use App\Http\Controllers\Admin\CitiesController;
use App\Http\Controllers\Admin\ComplaintsController;
use App\Http\Controllers\Admin\ContactsOrdersController;
use App\Http\Controllers\Admin\CountriesController;
use App\Http\Controllers\Admin\GivenNameOrdersController;
use App\Http\Controllers\Admin\HomeController;
use App\Http\Controllers\Admin\AdminsController;
use App\Http\Controllers\Admin\InProgressController;
use App\Http\Controllers\Admin\AllOrdersController;
use App\Http\Controllers\Admin\JobsController;
use App\Http\Controllers\Admin\KfalaController;
use App\Http\Controllers\Admin\LicencesController;
use App\Http\Controllers\Admin\MessagesController;
use App\Http\Controllers\Admin\NationalitiesController;
use App\Http\Controllers\Admin\NewOrdersController;
use App\Http\Controllers\Admin\OfficeExpensesController;
use App\Http\Controllers\Admin\OrderCancelRequestsController;
use App\Http\Controllers\Admin\OrderExpensesController;
use App\Http\Controllers\Admin\PartnersController;
use App\Http\Controllers\Admin\PoloController;
use App\Http\Controllers\Admin\ResumesController;
use App\Http\Controllers\Admin\OrdersController;
use App\Http\Controllers\Admin\SendContactsController;
use App\Http\Controllers\Admin\SettingController;
use App\Http\Controllers\Admin\ForeignController;
use App\Http\Controllers\Admin\SlidersController;
use App\Http\Controllers\Admin\WorkerRefuseController;
use App\Http\Controllers\Admin\WorkersController;
use App\Http\Controllers\Admin\ClientsController;
use App\Http\Controllers\Admin\TravelsController;
use App\Http\Controllers\Admin\WarrantyController;
use App\Http\Controllers\Admin\OrderMessagesController;
use App\Http\Controllers\Admin\OrderUpdateRequestsController;

use App\Http\Controllers\Workers\UsersController;
use Illuminate\Support\Facades\Route;


Route::get('/admin_login', [HomeController::class, 'login'])->name('admin_login');
Route::post('authenticate', [HomeController::class, 'authenticate'])->name('authenticate');


Route::group(['middleware' => 'admin:admin', 'prefix' => 'dashboard'], function () {


    Route::get('sendTestEmail', function () {
        \Mail::to('hossamfarouz15@gmail.com')->send(new \App\Mail\OrderMail('12345'));
        dd('done');
    });


//    Route::get('/', [HomeController::class, 'index'])->name('admin');
    Route::get('/', [HomeController::class, 'index'])->name('dashboard');
    Route::get('admin_logout', [HomeController::class, 'admin_logout'])->name('admin_logout');
    Route::get('index_search', [HomeController::class, 'index_search'])->name('index_search');
    Route::get('alerts', [HomeController::class, 'alerts'])->name('alerts');
    Route::post('search_alert', [HomeController::class, 'search_alert'])->name('search_alert');
    Route::get('order/{id}', [OrdersController::class, 'single_order'])->name('order');
    Route::post('admin_search', [AdminsController::class, 'admin_search'])->name('admin_search');
    Route::post('foreign_search', [ForeignController::class, 'foreign_search'])->name('foreign_search');
    Route::post('worker_search', [WorkersController::class, 'worker_search'])->name('worker_search');
    Route::get('setting', [SettingController::class, 'setting'])->name('setting');
    Route::post('setting_update/{id}', [SettingController::class, 'setting_update'])->name('setting_update');

    Route::get('adminInProgressOrders', [InProgressController::class, 'index'])->name('adminInProgressOrders');
    Route::post('send_sms_admin', [InProgressController::class, 'send_sms_clients'])->name('send_sms_admin');
    Route::get('admin_orders_clients_ajax', [InProgressController::class, 'orders_clients_ajax'])->name('admin_orders_clients_ajax');

    Route::get('admin_clients_ajax', [BlackListController::class, 'admin_clients_ajax'])->name('admin_clients_ajax');
    Route::post('admin_notify_clients', [InProgressController::class, 'admin_notify_clients'])->name('admin_notify_clients');
    Route::get('contacts', [ContactsOrdersController::class, 'index'])->name('contacts');
    Route::post('adminConvertPolo', [ContactsOrdersController::class, 'adminConvertPolo'])->name('adminConvertPolo');
    Route::get('polo', [PoloController::class, 'index'])->name('polo');
    Route::post('adminConvertShipping', [PoloController::class, 'adminConvertShipping'])->name('adminConvertShipping');

    Route::post('adminConvertVerified', [PoloController::class, 'adminConvertVerified'])->name('adminConvertVerified');

    Route::post('adminConvertAll/{status}', [AllOrdersController::class, 'adminConvertAll'])->name('adminConvertAll');

    Route::get('send_contracts', [SendContactsController::class, 'index'])->name('send_contracts');


    Route::get('blacklist', [BlackListController::class, 'index'])->name('blacklist');
    Route::post('removeBlackList', [BlackListController::class, 'removeBlackList'])->name('removeBlackList');
    Route::get('messages', [MessagesController::class, 'index'])->name('messages');
    Route::post('sendGroupMessage', [MessagesController::class, 'sendGroupMessage'])->name('sendGroupMessage');

    Route::get('getOrdersSectionAjax', [MessagesController::class, 'getOrdersSectionAjax'])->name('getOrdersSectionAjax');
    Route::get('adminComplaintsFetch', [ComplaintsController::class, 'adminComplaintsFetch'])->name('adminComplaintsFetch');
    Route::post('adminControlComplaint/{status}', [ComplaintsController::class, 'adminControlComplaint'])->name('adminControlComplaint');
    Route::get('admin_compliant_search_ajax', [ComplaintsController::class, 'admin_compliant_search_ajax'])->name('admin_compliant_search_ajax');
    Route::post('adminConvertPaid', [NewOrdersController::class, 'adminConvertPaid'])->name('adminConvertPaid');

    Route::post('delete_workers_ajax', [WorkersController::class, 'delete_workers_ajax'])->name('delete_workers_ajax');
    Route::post('not_active_workers_ajax', [WorkersController::class, 'not_active_workers_ajax'])->name('not_active_workers_ajax');
    Route::post('active_workers_ajax', [WorkersController::class, 'active_workers_ajax'])->name('active_workers_ajax');


    Route::post('delete_clients_ajax', [ClientsController::class, 'delete_clients_ajax'])->name('delete_clients_ajax');

    Route::post('block_clients_ajax', [ClientsController::class, 'block_clients_ajax'])->name('block_clients_ajax');

    Route::post('not_active_clients_ajax', [ClientsController::class, 'not_active_clients_ajax'])->name('not_active_clients_ajax');
    Route::post('active_clients_ajax', [ClientsController::class, 'active_clients_ajax'])->name('active_clients_ajax');
    Route::post('client_search', [ClientsController::class, 'client_search'])->name('client_search');
    Route::get('update_password/{id}', [ClientsController::class, 'update_password'])->name('update_password');
    Route::post('update_password_form/{id}', [ClientsController::class, 'update_password_form'])->name('update_password_form');
    Route::post('delete_travel_ajax', [TravelsController::class, 'delete_travel_ajax'])->name('delete_travel_ajax');
    Route::get('getNewClientInfo', [KfalaController::class, 'getNewClientInfo'])->name('getNewClientInfo');


    // Admin create order
    Route::get('admin_new_order', [OrdersController::class, 'new_order'])->name('admin_new_order');
    Route::post('admin_first_requested_order', [OrdersController::class, 'first_requested_order'])->name('admin_first_requested_order');
    Route::get('admin_second_requested_order', [OrdersController::class, 'second_requested_order'])->name('admin_second_requested_order');
    Route::post('admin_second_request_submit', [OrdersController::class, 'second_request_submit'])->name('admin_second_request_submit');


    Route::get('admin_last_requested_order/{order_id}', [OrdersController::class, 'last_requested_order'])->name('admin_last_requested_order');
    Route::get('getClientInfo', [UsersController::class, 'getClientInfo'])->name('adminGetClientInfo');


    Route::get('searchOrderCode', [OrdersController::class, 'searchOrderCode'])->name('searchOrderCode');


    Route::get('edit_order_admin/{id}', [OrdersController::class, 'edit_order_admin'])->name('edit_order_admin');
    Route::post('givenNameUpdate/{id}', [OrdersController::class, 'givenNameUpdate'])->name('givenNameUpdate');


    Route::get('edit_order_admin/{id}', [OrdersController::class, 'edit_order_admin'])->name('edit_order_admin');

    Route::post('asRequestedUpdate/{id}', [OrdersController::class, 'asRequestedUpdate'])->name('asRequestedUpdate');

    Route::get('select_cv', [OrdersController::class, 'select_cv'])->name('select_cv');
    Route::get('ajax_order_cvs', [OrdersController::class, 'ajax_order_cvs'])->name('ajax_order_cvs');

    Route::post('send_admin_translate/{id}', [OrderUpdateRequestsController::class, 'send_admin_translate'])->name('send_admin_translate');

    Route::get('search_update_request', [OrderUpdateRequestsController::class, 'search_update_request'])->name('search_update_request');


    Route::group(['middleware' => 'checkOrderSession'], function () {
        Route::get('admin_third_requested_order', [OrdersController::class, 'third_requested_order'])->name('admin_third_requested_order');
        Route::post('admin_third_request_submit', [OrdersController::class, 'third_request_submit'])->name('admin_third_request_submit');
        Route::get('admin_fourth_requested_order', [OrdersController::class, 'fourth_requested_order'])->name('admin_fourth_requested_order');
        Route::post('admin_fourth_requested_submit', [OrdersController::class, 'fourth_requested_submit'])->name('admin_fourth_requested_submit');
        Route::get('admin_fifth_requested_order', [OrdersController::class, 'fifth_requested_order'])->name('admin_fifth_requested_order');
        Route::post('admin_fifth_requested_submit', [OrdersController::class, 'fifth_requested_submit'])->name('admin_fifth_requested_submit');

    });

    // GIVEN


    Route::get('admin_second_name_order', [GivenNameOrdersController::class, 'second_name_order'])->name('admin_second_name_order');
    Route::post('admin_second_name_order_submit', [GivenNameOrdersController::class, 'second_name_order_submit'])->name('admin_second_name_order_submit');
    Route::get('admin_last_given_name_order/{order_id}', [GivenNameOrdersController::class, 'last_given_name_order'])->name('admin_last_given_name_order');


    Route::group(['middleware' => 'checkGivenNameSession'], function () {

        Route::get('admin_third_given_name', [GivenNameOrdersController::class, 'third_given_name'])->name('admin_third_given_name');
        Route::post('admin_third_name_order_submit', [GivenNameOrdersController::class, 'third_name_order_submit'])->name('admin_third_name_order_submit');
        Route::get('admin_fourth_given_name_order', [GivenNameOrdersController::class, 'fourth_given_name_order'])->name('admin_fourth_given_name_order');
        Route::post('admin_fourth_given_name_submit', [GivenNameOrdersController::class, 'fourth_given_name_submit'])->name('admin_fourth_given_name_submit');
        Route::get('admin_fifth_given_name_order', [GivenNameOrdersController::class, 'fifth_given_name_order'])->name('admin_fifth_given_name_order');
        Route::post('admin_fifth_given_name_submit', [GivenNameOrdersController::class, 'fifth_given_name_submit'])->name('admin_fifth_given_name_submit');


    });

    // Country Order Message

    Route::get('countryOrderMessageIndex/{country_id}', [OrderMessagesController::class, 'index'])->name('countryOrderMessageIndex');
    Route::get('order_messages_create/{country_id}', [OrderMessagesController::class, 'create'])->name('order_messages_create');
    Route::post('order_messages_store', [OrderMessagesController::class, 'store'])->name('order_messages_store');
    Route::delete('order_messages_destroy/{message_id}', [OrderMessagesController::class, 'destroy'])->name('order_messages_destroy');
    Route::get('order_messages_edit/{message_id}', [OrderMessagesController::class, 'edit'])->name('order_messages_edit');
    Route::patch('order_messages_update/{message_id}', [OrderMessagesController::class, 'update'])->name('order_messages_update');

    Route::get('adminChangeCancelRequest/{status}/{order_id}', [OrderCancelRequestsController::class, 'adminChangeCancelRequest'])->name('adminChangeCancelRequest');
    Route::post('printReceiveLetter/{order_id}', [TravelsController::class, 'printReceiveLetter'])->name('printReceiveLetter');
    Route::get('receive_letter/{order_id}', [TravelsController::class, 'receive_letter'])->name('receive_letter');
    Route::post('printDeliverLetter/{order_id}', [TravelsController::class, 'printDeliverLetter'])->name('printDeliverLetter');
    Route::get('deliver_letter/{order_id}', [TravelsController::class, 'deliver_letter'])->name('deliver_letter');

    Route::get('transfers/{order_id}', [TransfersController::class, 'transfers'])->name('transfers');

    Route::get('orders_filter_money', [AllOrdersController::class, 'orders_filter_money'])->name('orders_filter_money');

    Route::post('transfer_post', [TransfersController::class, 'transfer_post'])->name('transfer_post');
    Route::get('transfer_filter',[TransfersController::class,'transfer_filter'])->name('transfer_filter');

    Route::post('paid_tax',[AllOrdersController::class,'paid_tax'])->name('paid_tax');
    Route::resources([
        'admins' => AdminsController::class,
        'foreign' => ForeignController::class,
        'workers' => WorkersController::class,
        'clients' => ClientsController::class,
        'travels' => TravelsController::class,
        'warranty' => WarrantyController::class,
        'admin_resumes' => ResumesController::class,
        'jobs' => JobsController::class,
        'nationalities' => NationalitiesController::class,
        'countries' => CountriesController::class,
        'licences' => LicencesController::class,
        'sliders' => SlidersController::class,
        'partners' => PartnersController::class,
        'admin_complaints' => ComplaintsController::class,
        'new_orders' => NewOrdersController::class,
        'kfala' => KfalaController::class,
        'worker_refuse' => WorkerRefuseController::class,
        'archives' => ArchivesController::class,
//        'order_messages' => OrderMessagesController::class,
        'all_orders' => AllOrdersController::class,
        'order_update_requests' => OrderUpdateRequestsController::class,
        'order_cancel_requests' => OrderCancelRequestsController::class,
        'cities' => CitiesController::class,
        'orderExpenses' => OrderExpensesController::class,
        'officeExpenses' => OfficeExpensesController::class,
        'transfers' => TransfersController::class
    ]);

});


