<?php echo $__env->make('site.client.controllers.upper-header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php echo $__env->make('site.client.controllers.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>


<nav aria-label="breadcrumb" class="breadcrumb">
    <div class="container">
        <ol class="breadcrumb mb-0 inline">
            <li class="breadcrumb-item"><a href="<?php echo e(route('client_home')); ?>"><?php echo app('translator')->get('data.home'); ?></a></li>
            <li class="breadcrumb-item active" aria-current="page"><?php echo app('translator')->get('data.complaints'); ?></li>
        </ol>
        <button class="left basic-butt btn " href="#add-complaints" data-toggle="modal" data-target="#add-complaints">+
            <?php echo app('translator')->get('data.addComplaint'); ?>
        </button>
    </div>
</nav>
<div class="container mb-60 mt-30">

    <?php if($errors->any()): ?>
        <div class="alert alert-danger">
            <ul>
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="alert-danger"><?php echo e($error); ?></div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
        </div>
    <?php endif; ?>





    <?php $__empty_1 = true; $__currentLoopData = $rows; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
        <div class="bordered">
            <div class="row">
                <div class="col-sm-4">
                    <article class="blue-complain">
                        <h5><strong><?php echo app('translator')->get('data.complaint_no'); ?></strong></h5>
                        <p><small><?php echo e($row->code); ?></small></p>
                    </article>
                </div>
                <div class="col-sm-4">
                    <article class="green-complain">
                        <h5><strong><?php echo app('translator')->get('data.complaint_status'); ?></strong></h5>
                        <p><small><?php echo e($row->status == 'new' ? Lang::get('data.new') : Lang::get('data.closed')); ?></small></p>
                    </article>
                </div>
                <div class="col-sm-4">
                    <article class="blue-complain">
                        <h5><strong><?php echo app('translator')->get('data.worker_name'); ?></strong></h5>
                        <p><small><?php echo e($row->order->cv_id ? $row->order->cv->name['ar'] : $row->order->order_worker->name); ?></small></p>
                    </article>
                </div>
                <div class="col-sm-12 mt-30">
                    <article>
                        <h5 class="blue-complain"><strong><?php echo app('translator')->get('data.complaintNotes'); ?></strong></h5>
                        <p class="bordered"><small><?php echo e($row->notes); ?></small></p>
                    </article>
                </div>
            </div>
        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
        <h3><?php echo e(Lang::get('data.noComplaints')); ?></h3>
    <?php endif; ?>


    <div class="modal fade" id="add-complaints" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <form method="post" action="<?php echo e(route('new_complaint')); ?>" class="text-center">
                    <?php echo csrf_field(); ?>
                    <div class="modal-header">
                        <h4 class="modal-title"> <?php echo app('translator')->get('data.addComplaint'); ?></h4>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>

                        <ul class="flex-label">
                            <li class="inline modal-h-li item-flex">
                                <span>
                                <?php echo app('translator')->get('data.order_no'); ?> :
                                </span>
                                <select name="order_id" id="order" required class="form-control">
                                    <option disabled selected><?php echo app('translator')->get('data.selectOrderNo'); ?></option>
                                    <?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($order->id); ?>"><?php echo e($order->code); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select></li>
                            <li id="worker_name" class="inline modal-h-li"></li>
                        </ul>
                    </div>
                    <div class="modal-body">
                        <h5><?php echo app('translator')->get('data.complaintNotes'); ?></h5>

                        <textarea name="notes" required cols="30" rows="2" placeholder="<?php echo app('translator')->get('data.complaintNotes'); ?>"></textarea>
                        <button type="submit" class="form-butt"><?php echo app('translator')->get('data.send'); ?></button>
                    </div>
                </form>


            </div>
        </div>
    </div>

</div>


<?php echo $__env->make('site.client.controllers.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php /**PATH /home/alkhalaffamily/public_html/hajar/resources/views/site/client/complaints.blade.php ENDPATH**/ ?>