<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no"/>
    <meta http-equiv="X-UA-Compatible" content="ie=edge"/>
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>"/>

    <!-- Tab Title -->
    <title>Hajar</title>
    <!-- Shortcut Icon -->
    <link rel="shortcut icon" href="<?php echo e(asset('site/foreign/images/logoicon.png')); ?>"/>
    <!-- Font Awesome Css -->
    <link rel="stylesheet" href="<?php echo e(asset('site/foreign/css/font-awesome.min.css')); ?>"/>
    <!-- Bootstrap Css -->
    <link rel="stylesheet" href="<?php echo e(asset('site/foreign/css/bootstrap-e.min.css')); ?>"/>
    <link rel="stylesheet" href="<?php echo e(asset('site/foreign/css/bootstrap-a.min.css')); ?>"/>
    <!-- en - font -->
    <!-- <link rel="stylesheet" href="fonts/font/stylesheet.css" /> -->
    <!-- ar - font -->
    <link rel="stylesheet" href="<?php echo e(asset('site/foreign/fonts/font/ar/stylesheet.css')); ?>"/>

    <link rel="stylesheet" href="<?php echo e(asset('site/foreign/fonts/icons/css/fontello.css')); ?>"/>
    <link rel="stylesheet" href="<?php echo e(asset('site/foreign/fonts/fontello/css/fontello.css')); ?>"/>

    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('site/foreign/css/slick.css')); ?>"/>
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('site/foreign/css/slick-theme.css')); ?>"/>
    <!-- Owl carousel -->
    <link rel="stylesheet" href="<?php echo e(asset('site/foreign/css/owl.carousel.min.css')); ?>" type="text/css">
    <link rel="stylesheet" href="<?php echo e(asset('site/foreign/css/owl.theme.default.min.css')); ?>" type="text/css">
    <!-- Lightbox -->
    <link rel="stylesheet" href="<?php echo e(asset('site/foreign/css/lightbox.css')); ?>"/>

    <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css"
          integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous"/>

    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
    <!-- Styling File -->
    <link rel="stylesheet" href="<?php echo e(asset('site/foreign/css/main-ar/main.css')); ?>"/>

    <!-- <link rel="stylesheet" href="css/main.css" /> -->


    <style>

        /* Text alignment for body */
        /* body {
            text-align: center;
        }  */


        @-webkit-keyframes modal-animation {
            from {
                top: -100px;
                opacity: 0;
            }
            to {
                top: 0px;
                opacity: 1;
            }
        }

        @keyframes  modal-animation {
            from {
                top: -100px;
                opacity: 0;
            }
            to {
                top: 0px;
                opacity: 1;
            }
        }
    </style>

</head>
<body>


<header>

<?php echo $__env->make('sweetalert::alert', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>





<!-- navbar -->
    <nav class="navbar">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar">
                    <span class="fa fa-bars color-primary"></span>
                </button>
                <!-- <a class="navbar-brand" href="#">
                    <img src="images/001.png" alt="">
                </a> -->
            </div>
            <div class="collapse navbar-collapse" id="myNavbar">
                <ul class="nav navbar-nav ">
                    <li>
                        <a href="<?php echo e(route('foreign_home')); ?>" class="p-absolute">
                            <img src="<?php echo e(asset('site/foreign/images/logo.png')); ?>" width="80px" alt="">
                        </a>
                    </li>
                    <li class="active"><a href="<?php echo e(route('foreign_home')); ?>" class="main-link"><?php echo app('translator')->get('data.home'); ?></a></li>
                    <li><a href="<?php echo e(route('order_foreign')); ?>" class="main-link"><?php echo app('translator')->get('data.orders'); ?></a></li>
                    <li><a href="<?php echo e(route('foreign_alerts')); ?>" class="main-link"><?php echo app('translator')->get('data.notifications'); ?></a><span
                            class="red-dot"></span></li>
                    <li><a href="<?php echo e(route('foreign_complaints')); ?>" class="main-link"><?php echo app('translator')->get('data.tasksAndComplaints'); ?></a>
                    </li>
                    <!-- <li><a href="contracts.php" class="main-link">العقود الورقية</a></li> -->

                    <li><a href="<?php echo e(route('order_travels')); ?>" class="main-link"><?php echo app('translator')->get('data.trips'); ?></a></li>
                    <li><a href="<?php echo e(route('resumes.index')); ?>" class="main-link"><?php echo app('translator')->get('data.CV'); ?></a></li>
                    <li><a href="<?php echo e(route('get_reply_update_order')); ?>" class="main-link"> <?php echo app('translator')->get('data.updateRequests'); ?> </a></li>

                    <!-- <li class="">
                        <div class="btn-group">
                            <button type="button" class="main-link pa-adjust" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">المزيد</button>
                            <div class="dropdown-menu">
                                <a class="dropdown-item px-5" href="indications.php">المؤشرات</a>
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item px-5" href="trips.php">الرحلات</a>
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item px-5" href="#">الاعدادات</a>
                            </div>
                        </div>
                    </li> -->
                </ul>
                <ul class="nav navbar-nav  navbar-right">
                    <?php if(\App::getLocale() == 'en'): ?>
                        <li><a href="<?php echo e(route('language','ar')); ?>"> اللغه العربية</a></li>
                    <?php else: ?>
                        <li><a href="<?php echo e(route('language','en')); ?>"> English</a></li>
                    <?php endif; ?>
                </ul>
            </div>
        </div>
    </nav>
</header>
<?php /**PATH /home/alkhalaffamily/public_html/hajar/resources/views/site/foreign/controllers/header.blade.php ENDPATH**/ ?>